/*
 Navicat Premium Data Transfer

 Source Server         : huoshan
 Source Server Type    : MySQL
 Source Server Version : 50744
 Source Host           : 101.126.133.7:9006
 Source Schema         : uav_ps

 Target Server Type    : MySQL
 Target Server Version : 50744
 File Encoding         : 65001

 Date: 29/04/2025 11:22:59
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `tpl_web_type` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '前端模板类型（element-ui模版 element-plus模版）',
  `package_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代码生成业务表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (1, 'uavps_aircraft', '飞机数据表', NULL, NULL, 'UavpsAircraft', 'crud', '', 'com.uavps.system', 'system', 'aircraft', '飞机数据', 'ruoyi', '0', '/', NULL, 'admin', '2025-01-16 16:38:06', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (2, 'uavps_multi_target_formation', '多目标集群信息表', NULL, NULL, 'UavpsMultiTargetFormation', 'crud', '', 'com.uavps.system', 'system', 'formation', '多目标集群信息', 'ruoyi', '0', '/', NULL, 'admin', '2025-02-07 16:13:49', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (3, 'uavps_unmanned_aerial_vehicle', '无人机信息表', NULL, NULL, 'UavpsUnmannedAerialVehicle', 'crud', '', 'com.uavps.system', 'system', 'vehicle', '无人机信息', 'ruoyi', '0', '/', NULL, 'admin', '2025-02-07 16:13:49', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (4, 'uavps_algorithm_task', '算法任务表', NULL, NULL, 'UavpsAlgorithmTask', 'crud', '', 'com.uavps.system', 'system', 'task', '算法任务', 'ruoyi', '0', '/', NULL, 'admin', '2025-02-18 17:13:22', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (5, 'uavps_algorithm_task_formation', '算法任务和多目标集群关联表', NULL, NULL, 'UavpsAlgorithmTaskFormation', 'crud', '', 'com.uavps.system', 'system', 'formation', '算法任务和多目标集群关联', 'ruoyi', '0', '/', NULL, 'admin', '2025-02-18 17:13:22', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (6, 'uavps_formation_tbl', '算法表', NULL, NULL, 'UavpsFormationTbl', 'crud', '', 'com.uavps.system', 'system', 'tbl', '算法', 'ruoyi', '0', '/', NULL, 'admin', '2025-03-26 10:19:47', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (7, 'uavps_uav', '无人机', NULL, NULL, 'UavpsUav', 'crud', '', 'com.uavps.system', 'system', 'uav', '无人机', 'ruoyi', '0', '/', NULL, 'admin', '2025-03-26 11:39:18', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (8, 'uavps_algorithm_parameter', '算法参数信息', NULL, NULL, 'UavpsAlgorithmParameter', 'crud', '', 'com.uavps.system', 'system', 'parameter', '算法参数信息', 'ruoyi', '0', '/', NULL, 'admin', '2025-03-27 10:22:35', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (9, 'uavps_task', '任务数据表', NULL, NULL, 'UavpsTask', 'crud', 'element-ui', 'com.uavps.system', 'system', 'task', '任务数据', 'ruoyi', '0', '/', '{\"parentMenuId\":0}', 'admin', '2025-04-15 18:43:48', '', '2025-04-18 20:20:57', NULL);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` bigint(20) NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 116 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (1, 1, 'bizId', '业务ID', 'varchar(50)', 'String', 'bizId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-01-16 16:38:06', '', '2025-04-15 19:01:38');
INSERT INTO `gen_table_column` VALUES (2, 1, 'data_time', '时间单位ms,代表本次数据的时间', 'decimal(8,2)', 'BigDecimal', 'dataTime', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2025-01-16 16:38:06', '', '2025-04-15 19:01:38');
INSERT INTO `gen_table_column` VALUES (3, 1, 'aircraft_data', '飞机数据', 'text', 'String', 'aircraftData', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'textarea', '', 3, 'admin', '2025-01-16 16:38:06', '', '2025-04-15 19:01:38');
INSERT INTO `gen_table_column` VALUES (4, 1, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 4, 'admin', '2025-01-16 16:38:06', '', '2025-04-15 19:01:38');
INSERT INTO `gen_table_column` VALUES (5, 1, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 5, 'admin', '2025-01-16 16:38:06', '', '2025-04-15 19:01:38');
INSERT INTO `gen_table_column` VALUES (6, 1, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2025-01-16 16:38:06', '', '2025-04-15 19:01:38');
INSERT INTO `gen_table_column` VALUES (7, 1, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2025-01-16 16:38:06', '', '2025-04-15 19:01:38');
INSERT INTO `gen_table_column` VALUES (8, 2, 'id', '编号', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (9, 2, 'aircraft_type', '飞机类型', 'varchar(50)', 'String', 'aircraftType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 2, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (10, 2, 'formation_aircraft_count', '编队飞机数量', 'int', 'Long', 'formationAircraftCount', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (11, 2, 'lead_aircraft_speed', '领航飞机速度', 'decimal(8,2)', 'BigDecimal', 'leadAircraftSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (12, 2, 'initial_position_x', '初始位置X', 'decimal(8,2)', 'BigDecimal', 'initialPositionX', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (13, 2, 'initial_position_y', '初始位置Y', 'decimal(8,2)', 'BigDecimal', 'initialPositionY', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (14, 2, 'initial_position_z', '初始位置Z', 'decimal(8,2)', 'BigDecimal', 'initialPositionZ', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (15, 2, 'flight_path_type', '航线类型', 'varchar(20)', 'String', 'flightPathType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 8, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (16, 2, 'position_noise', '噪声', 'decimal(8,2)', 'BigDecimal', 'positionNoise', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (17, 2, 'formation_shape', '编队形状', 'varchar(20)', 'String', 'formationShape', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (18, 2, 'follow_aircraft_distance', '跟随飞机距离', 'decimal(8,2)', 'BigDecimal', 'followAircraftDistance', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (19, 2, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (20, 2, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (21, 2, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (22, 2, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (23, 3, 'id', '编号', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (24, 3, 'initial_position_x', '无人机初始位置X', 'decimal(8,2)', 'BigDecimal', 'initialPositionX', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (25, 3, 'initial_position_y', '无人机初始位置Y', 'decimal(8,2)', 'BigDecimal', 'initialPositionY', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (26, 3, 'initial_position_z', '无人机初始位置Z', 'decimal(8,2)', 'BigDecimal', 'initialPositionZ', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (27, 3, 'initial_speed', '无人机初始速度', 'decimal(8,2)', 'BigDecimal', 'initialSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (28, 3, 'initial_pose_x', '无人机初始姿态X', 'decimal(8,2)', 'BigDecimal', 'initialPoseX', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (29, 3, 'initial_pose_y', '无人机初始姿态Y', 'decimal(8,2)', 'BigDecimal', 'initialPoseY', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (30, 3, 'initial_pose_z', '无人机初始姿态Z', 'decimal(8,2)', 'BigDecimal', 'initialPoseZ', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (31, 3, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (32, 3, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (33, 3, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (34, 3, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 12, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (35, 4, 'id', '编号', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (36, 4, 'name', '算法任务名称', 'varchar(50)', 'String', 'name', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (37, 4, 'uav_id', '平台无人机ID', 'int', 'Long', 'uavId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (38, 4, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 4, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (39, 4, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (40, 4, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (41, 4, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (42, 4, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (43, 5, 'algorithm_task_id', '算法任务ID', 'int', 'Long', 'algorithmTaskId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (44, 5, 'formation_id', '多目标集群ID', 'int', 'Long', 'formationId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (45, 6, 'id', 'ID', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (46, 6, 'target_id', '目标ID', 'int', 'Long', 'targetId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (47, 6, 'longitude', '经度', 'decimal(10,7)', 'BigDecimal', 'longitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (48, 6, 'latitude', '纬度', 'decimal(10,7)', 'BigDecimal', 'latitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (49, 6, 'altitude', '海拔', 'int', 'Long', 'altitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (50, 6, 'east_speed', '东向速度', 'decimal(8,1)', 'BigDecimal', 'eastSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (51, 6, 'north_speed', '北向速度', 'decimal(8,1)', 'BigDecimal', 'northSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (52, 6, 'sky_speed', '天向速度', 'decimal(8,1)', 'BigDecimal', 'skySpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (53, 6, 'utc_time', 'UTC时间', 'int', 'Long', 'utcTime', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (54, 6, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (55, 6, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (56, 6, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (57, 6, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (58, 7, 'id', 'ID', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (59, 7, 'name', '名称', 'varchar(50)', 'String', 'name', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (60, 7, 'longitude', '经度', 'decimal(10,7)', 'BigDecimal', 'longitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (61, 7, 'latitude', '纬度', 'decimal(10,7)', 'BigDecimal', 'latitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (62, 7, 'altitude', '海拔', 'int', 'Long', 'altitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (63, 7, 'azimuth_angle', '方位角', 'decimal(8,2)', 'BigDecimal', 'azimuthAngle', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (64, 7, 'pitch_angle', '俯仰角', 'decimal(8,2)', 'BigDecimal', 'pitchAngle', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (65, 7, 'roll_angle', '横滚角', 'decimal(8,2)', 'BigDecimal', 'rollAngle', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (66, 7, 'east_speed', '东向速度', 'decimal(8,1)', 'BigDecimal', 'eastSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (67, 7, 'north_speed', '北向速度', 'decimal(8,1)', 'BigDecimal', 'northSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (68, 7, 'sky_speed', '天向速度', 'decimal(8,1)', 'BigDecimal', 'skySpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (69, 7, 'track_angle', '航迹角', 'decimal(8,2)', 'BigDecimal', 'trackAngle', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (70, 7, 'utc_year', 'UTC时间-年', 'int', 'Long', 'utcYear', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (71, 7, 'utc_month', 'UTC时间-月', 'int', 'Long', 'utcMonth', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (72, 7, 'utc_day', 'UTC时间-日', 'int', 'Long', 'utcDay', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 15, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (73, 7, 'utc_hour', 'UTC时间-时', 'int', 'Long', 'utcHour', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 16, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (74, 7, 'utc_minute', 'UTC时间-分', 'int', 'Long', 'utcMinute', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 17, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (75, 7, 'utc_second', 'UTC时间-秒', 'int', 'Long', 'utcSecond', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 18, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (76, 7, 'utc_millisecond', 'UTC时间-毫秒', 'int', 'Long', 'utcMillisecond', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 19, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (77, 7, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 20, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (78, 7, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 21, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (79, 7, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 22, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (80, 7, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 23, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (81, 8, 'id', 'ID', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (82, 8, 'formation_type', '目标集群类型', 'varchar(2)', 'String', 'formationType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 2, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (83, 8, 'target_id', '目标ID', 'int', 'Long', 'targetId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (84, 8, 'longitude', '经度', 'decimal(10,7)', 'BigDecimal', 'longitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (85, 8, 'latitude', '纬度', 'decimal(10,7)', 'BigDecimal', 'latitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (86, 8, 'altitude', '海拔', 'int', 'Long', 'altitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (87, 8, 'east_speed', '东向速度', 'decimal(8,1)', 'BigDecimal', 'eastSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (88, 8, 'north_speed', '北向速度', 'decimal(8,1)', 'BigDecimal', 'northSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (89, 8, 'sky_speed', '天向速度', 'decimal(8,1)', 'BigDecimal', 'skySpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (90, 8, 'utc_times', 'UTC时间', 'int', 'Long', 'utcTimes', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (91, 8, 'target_total', '本次目标总数', 'int', 'Long', 'targetTotal', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (92, 8, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (93, 8, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (94, 8, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (95, 8, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (96, 9, 'biz_id', '业务ID', 'bigint(20)', 'Long', 'bizId', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-04-15 18:43:48', '', '2025-04-18 20:20:57');
INSERT INTO `gen_table_column` VALUES (97, 9, 'biz_type', '业务类型', 'varchar(7)', 'String', 'bizType', '0', '0', '0', '1', '1', '0', '0', 'EQ', 'select', 'uavps_target_formation_type', 3, 'admin', '2025-04-15 18:43:48', '', '2025-04-18 20:20:57');
INSERT INTO `gen_table_column` VALUES (99, 9, 'platform_uav_str', '固定翼平台无人机数据', 'text', 'String', 'platformUavStr', '0', '0', '0', '1', '1', '0', '0', 'EQ', 'textarea', '', 8, 'admin', '2025-04-15 18:43:48', '', '2025-04-18 20:20:58');
INSERT INTO `gen_table_column` VALUES (100, 9, 'fixed_multi_target_formation_str', '固定编队目标数据', 'text', 'String', 'fixedMultiTargetFormationStr', '0', '0', '0', '1', '1', '0', '0', 'EQ', 'textarea', '', 9, 'admin', '2025-04-15 18:43:48', '', '2025-04-18 20:20:58');
INSERT INTO `gen_table_column` VALUES (102, 9, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2025-04-15 18:43:48', '', '2025-04-18 20:20:58');
INSERT INTO `gen_table_column` VALUES (103, 9, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, '1', '1', 'BETWEEN', 'datetime', '', 16, 'admin', '2025-04-15 18:43:48', '', '2025-04-18 20:20:58');
INSERT INTO `gen_table_column` VALUES (104, 9, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 17, 'admin', '2025-04-15 18:43:48', '', '2025-04-18 20:20:58');
INSERT INTO `gen_table_column` VALUES (105, 9, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'datetime', '', 18, 'admin', '2025-04-15 18:43:49', '', '2025-04-18 20:20:58');
INSERT INTO `gen_table_column` VALUES (106, 9, 'customized_multi_target_formation_str', '自定义编队目标数据', 'text', 'String', 'customizedMultiTargetFormationStr', '0', '0', '0', '1', '1', '0', '0', 'EQ', 'textarea', '', 10, '', '2025-04-15 19:04:10', '', '2025-04-18 20:20:58');
INSERT INTO `gen_table_column` VALUES (107, 9, 'biz_name', '任务名称', 'varchar(127)', 'String', 'bizName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 2, '', '2025-04-17 17:37:26', '', '2025-04-18 20:20:57');
INSERT INTO `gen_table_column` VALUES (108, 9, 'multi_target', '多目标类型', 'varchar(7)', 'String', 'multiTarget', '0', '0', '0', '1', '1', '0', '0', 'EQ', 'select', 'uavps_target_formation_type', 4, '', '2025-04-17 21:14:50', '', '2025-04-18 20:20:57');
INSERT INTO `gen_table_column` VALUES (109, 9, 'nose_type', '噪声类型', 'varchar(127)', 'String', 'noseType', '0', '0', '0', '1', '1', '0', '0', 'EQ', 'select', 'uavps_target_formation_type', 5, '', '2025-04-17 21:14:50', '', '2025-04-18 20:20:58');
INSERT INTO `gen_table_column` VALUES (110, 9, 'noise_variance', '噪声方差', 'decimal(10,2)', 'BigDecimal', 'noiseVariance', '0', '0', '0', '1', '1', '0', '0', 'EQ', 'input', '', 6, '', '2025-04-17 21:14:50', '', '2025-04-18 20:20:58');
INSERT INTO `gen_table_column` VALUES (111, 9, 'noise_mean', '噪声均值', 'decimal(12,6)', 'BigDecimal', 'noiseMean', '0', '0', '0', '1', '1', '0', '0', 'EQ', 'input', '', 7, '', '2025-04-17 21:14:50', '', '2025-04-18 20:20:58');
INSERT INTO `gen_table_column` VALUES (112, 9, 'status', '状态', 'varchar(7)', 'String', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', 'sys_common_status', 11, '', '2025-04-18 20:13:28', '', '2025-04-18 20:20:58');
INSERT INTO `gen_table_column` VALUES (113, 9, 'start_time', '开始时间', 'datetime', 'Date', 'startTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 12, '', '2025-04-18 20:13:28', '', '2025-04-18 20:20:58');
INSERT INTO `gen_table_column` VALUES (114, 9, 'end_time', '结束时间', 'datetime', 'Date', 'endTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 13, '', '2025-04-18 20:13:28', '', '2025-04-18 20:20:58');
INSERT INTO `gen_table_column` VALUES (115, 9, 'file_path', '噪声数据文件路径', 'varchar(127)', 'String', 'filePath', '0', '0', '0', '1', '1', '0', '0', 'EQ', 'input', '', 14, '', '2025-04-18 20:13:28', '', '2025-04-18 20:20:58');

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob NULL COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'Blob类型的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_blob_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`, `calendar_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '日历信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_calendars
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'Cron类型的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_cron_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint(20) NOT NULL COMMENT '触发的时间',
  `sched_time` bigint(20) NOT NULL COMMENT '定时器制定的时间',
  `priority` int(11) NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`, `entry_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '已触发的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_fired_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '任务详细信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_job_details
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`, `lock_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '存储的悲观锁信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_locks
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`, `trigger_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '暂停的触发器表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_paused_trigger_grps
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint(20) NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint(20) NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`, `instance_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '调度器状态表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_scheduler_state
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint(20) NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint(20) NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint(20) NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '简单触发器的信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_simple_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '同步机制的行锁表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_simprop_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint(20) NULL DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint(20) NULL DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int(11) NULL DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器的类型',
  `start_time` bigint(20) NOT NULL COMMENT '开始时间',
  `end_time` bigint(20) NULL DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint(6) NULL DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  INDEX `sched_name`(`sched_name`, `job_name`, `job_group`) USING BTREE,
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `qrtz_job_details` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '触发器详细信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of qrtz_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '参数配置表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2024-12-30 22:29:36', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2024-12-30 22:29:36', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2024-12-30 22:29:36', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'true', 'Y', 'admin', '2024-12-30 22:29:36', '', NULL, '是否开启验证码功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2024-12-30 22:29:36', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (6, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2024-12-30 22:29:36', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int(11) NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 110 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '部门表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '若依科技', 0, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (101, 100, '0,100', '深圳总公司', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (102, 100, '0,100', '长沙分公司', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (103, 101, '0,100,101', '研发部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (104, 101, '0,100,101', '市场部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (105, 101, '0,100,101', '测试部门', 3, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (106, 101, '0,100,101', '财务部门', 4, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (107, 101, '0,100,101', '运维部门', 5, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (108, 102, '0,100,102', '市场部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (109, 102, '0,100,102', '财务部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int(11) NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 109 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '字典数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (100, 1, '固定编队', '1', 'uavps_target_formation_type', NULL, 'default', 'N', '0', 'admin', '2025-03-27 11:08:38', 'admin', '2025-04-18 20:55:00', '目标集群类型固定翼');
INSERT INTO `sys_dict_data` VALUES (101, 2, '自定义', '2', 'uavps_target_formation_type', NULL, 'default', 'N', '0', 'admin', '2025-03-27 11:09:56', 'admin', '2025-04-18 20:55:17', '目标集群类型多旋翼');
INSERT INTO `sys_dict_data` VALUES (103, 1, '高斯', '高斯', 'uavps_task_nose_type', NULL, 'default', 'N', '0', 'admin', '2025-04-18 20:48:53', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (104, 2, '瑞利', '瑞利', 'uavps_task_nose_type', NULL, 'default', 'N', '0', 'admin', '2025-04-18 20:49:08', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (105, 0, '未开始', '0', 'uavps_task_status', NULL, 'default', 'N', '0', 'admin', '2025-04-18 20:50:43', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (106, 1, '进行中', '1', 'uavps_task_status', NULL, 'default', 'N', '0', 'admin', '2025-04-18 20:51:01', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (107, 2, '已完成', '2', 'uavps_task_status', NULL, 'default', 'N', '0', 'admin', '2025-04-18 20:51:17', '', NULL, NULL);
INSERT INTO `sys_dict_data` VALUES (108, 3, '失败', '3', 'uavps_task_status', NULL, 'default', 'N', '0', 'admin', '2025-04-18 20:51:29', 'admin', '2025-04-18 20:52:21', NULL);

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 103 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '字典类型表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '登录状态列表');
INSERT INTO `sys_dict_type` VALUES (100, '目标集群类型', 'uavps_target_formation_type', '0', 'admin', '2025-03-27 11:07:24', '', NULL, '目标集群类型列表');
INSERT INTO `sys_dict_type` VALUES (101, '任务状态', 'uavps_task_status', '0', 'admin', '2025-04-18 20:44:50', '', NULL, NULL);
INSERT INTO `sys_dict_type` VALUES (102, '噪声类型', 'uavps_task_nose_type', '0', 'admin', '2025-04-18 20:46:52', '', NULL, NULL);

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '定时任务调度表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO `sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2024-12-30 22:29:36', '', NULL, '');
INSERT INTO `sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2024-12-30 22:29:36', '', NULL, '');
INSERT INTO `sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2024-12-30 22:29:36', '', NULL, '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '定时任务调度日志表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE,
  INDEX `idx_sys_logininfor_s`(`status`) USING BTREE,
  INDEX `idx_sys_logininfor_lt`(`login_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 668 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统访问记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(11) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '路由参数',
  `route_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '路由名称',
  `is_frame` int(11) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(11) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2009 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '菜单权限表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 4, 'system', NULL, '', '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-12-30 22:29:35', 'admin', '2025-01-08 17:03:41', '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 0, 5, 'monitor', NULL, '', '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2024-12-30 22:29:35', 'admin', '2025-01-08 17:03:49', '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 0, 6, 'tool', NULL, '', '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2024-12-30 22:29:35', 'admin', '2025-01-08 17:04:09', '系统工具目录');
INSERT INTO `sys_menu` VALUES (4, '若依官网', 0, 7, 'http://ruoyi.vip', NULL, '', '', 0, 0, 'M', '0', '1', '', 'guide', 'admin', '2024-12-30 22:29:35', 'admin', '2025-01-08 17:04:51', '若依官网地址');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2024-12-30 22:29:35', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2024-12-30 22:29:35', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2024-12-30 22:29:35', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2024-12-30 22:29:35', '', NULL, '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2024-12-30 22:29:35', '', NULL, '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2024-12-30 22:29:35', '', NULL, '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2024-12-30 22:29:35', '', NULL, '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2024-12-30 22:29:35', '', NULL, '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2024-12-30 22:29:35', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2024-12-30 22:29:35', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2024-12-30 22:29:35', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2024-12-30 22:29:35', '', NULL, '数据监控菜单');
INSERT INTO `sys_menu` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2024-12-30 22:29:35', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu` VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2024-12-30 22:29:35', '', NULL, '缓存监控菜单');
INSERT INTO `sys_menu` VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2024-12-30 22:29:35', '', NULL, '缓存列表菜单');
INSERT INTO `sys_menu` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2024-12-30 22:29:35', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2024-12-30 22:29:35', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2024-12-30 22:29:35', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2024-12-30 22:29:35', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2024-12-30 22:29:35', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, '用户查询', 100, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, '用户新增', 100, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户修改', 100, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户删除', 100, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户导出', 100, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导入', 100, 6, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '重置密码', 100, 7, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '角色查询', 101, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色新增', 101, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色修改', 101, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色删除', 101, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色导出', 101, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '菜单查询', 102, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单新增', 102, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单修改', 102, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单删除', 102, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '部门查询', 103, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '部门新增', 103, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '部门修改', 103, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '部门删除', 103, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '岗位查询', 104, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位新增', 104, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位修改', 104, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位删除', 104, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位导出', 104, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '日志导出', 500, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '登录查询', 501, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录删除', 501, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '日志导出', 501, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '账户解锁', 501, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '任务导出', 110, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '生成查询', 116, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '生成修改', 116, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成删除', 116, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '导入代码', 116, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '预览代码', 116, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '生成代码', 116, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2000, '任务管理', 0, 3, 'parameter', 'uavps/parameter/index', NULL, '', 1, 0, 'C', '0', '0', 'uavps:parameter:list', 'dict', 'admin', '2025-01-08 16:56:31', 'admin', '2025-03-27 10:44:02', '');
INSERT INTO `sys_menu` VALUES (2001, '多目标集群', 0, 1, 'formation', 'uavps/formation/index', NULL, '', 1, 0, 'C', '1', '0', 'uavps:formation:list', 'list', 'admin', '2025-01-08 17:02:16', 'admin', '2025-03-27 10:03:17', '');
INSERT INTO `sys_menu` VALUES (2002, '平台无人机', 0, 2, 'uav', 'uavps/uav/index', NULL, '', 1, 0, 'C', '1', '0', 'uavps:uav:list', 'guide', 'admin', '2025-01-08 17:03:04', 'admin', '2025-03-27 10:03:33', '');
INSERT INTO `sys_menu` VALUES (2003, '任务数据', 0, 1, 'task', 'system/task/index', NULL, '', 1, 0, 'C', '0', '0', 'system:task:list', 'build', 'admin', '2025-04-15 18:44:36', 'admin', '2025-04-17 20:08:06', '任务数据菜单');
INSERT INTO `sys_menu` VALUES (2004, '任务数据查询', 2003, 1, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'system:task:query', '#', 'admin', '2025-04-15 18:44:36', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2005, '任务数据新增', 2003, 2, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'system:task:add', '#', 'admin', '2025-04-15 18:44:36', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2006, '任务数据修改', 2003, 3, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'system:task:edit', '#', 'admin', '2025-04-15 18:44:36', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2007, '任务数据删除', 2003, 4, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'system:task:remove', '#', 'admin', '2025-04-15 18:44:36', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2008, '任务数据导出', 2003, 5, '#', '', NULL, '', 1, 0, 'F', '0', '0', 'system:task:export', '#', 'admin', '2025-04-15 18:44:36', '', NULL, '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '通知公告表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 若依新版本发布啦', '2', 0xE696B0E78988E69CACE58685E5AEB9, '0', 'admin', '2024-12-30 22:29:36', '', NULL, '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 若依系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 'admin', '2024-12-30 22:29:36', '', NULL, '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int(11) NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int(11) NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int(11) NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `cost_time` bigint(20) NULL DEFAULT 0 COMMENT '消耗时间',
  PRIMARY KEY (`oper_id`) USING BTREE,
  INDEX `idx_sys_oper_log_bt`(`business_type`) USING BTREE,
  INDEX `idx_sys_oper_log_s`(`status`) USING BTREE,
  INDEX `idx_sys_oper_log_ot`(`oper_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 256 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '操作日志记录' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int(11) NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '岗位信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 'ceo', '董事长', 1, '0', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_post` VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_post` VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_post` VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2024-12-30 22:29:35', '', NULL, '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(11) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL, '超级管理员');
INSERT INTO `sys_role` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL, '普通角色');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `dept_id` bigint(20) NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和部门关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
INSERT INTO `sys_role_dept` VALUES (2, 100);
INSERT INTO `sys_role_dept` VALUES (2, 101);
INSERT INTO `sys_role_dept` VALUES (2, 105);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 2);
INSERT INTO `sys_role_menu` VALUES (2, 3);
INSERT INTO `sys_role_menu` VALUES (2, 4);
INSERT INTO `sys_role_menu` VALUES (2, 100);
INSERT INTO `sys_role_menu` VALUES (2, 101);
INSERT INTO `sys_role_menu` VALUES (2, 102);
INSERT INTO `sys_role_menu` VALUES (2, 103);
INSERT INTO `sys_role_menu` VALUES (2, 104);
INSERT INTO `sys_role_menu` VALUES (2, 105);
INSERT INTO `sys_role_menu` VALUES (2, 106);
INSERT INTO `sys_role_menu` VALUES (2, 107);
INSERT INTO `sys_role_menu` VALUES (2, 108);
INSERT INTO `sys_role_menu` VALUES (2, 109);
INSERT INTO `sys_role_menu` VALUES (2, 110);
INSERT INTO `sys_role_menu` VALUES (2, 111);
INSERT INTO `sys_role_menu` VALUES (2, 112);
INSERT INTO `sys_role_menu` VALUES (2, 113);
INSERT INTO `sys_role_menu` VALUES (2, 114);
INSERT INTO `sys_role_menu` VALUES (2, 115);
INSERT INTO `sys_role_menu` VALUES (2, 116);
INSERT INTO `sys_role_menu` VALUES (2, 117);
INSERT INTO `sys_role_menu` VALUES (2, 500);
INSERT INTO `sys_role_menu` VALUES (2, 501);
INSERT INTO `sys_role_menu` VALUES (2, 1000);
INSERT INTO `sys_role_menu` VALUES (2, 1001);
INSERT INTO `sys_role_menu` VALUES (2, 1002);
INSERT INTO `sys_role_menu` VALUES (2, 1003);
INSERT INTO `sys_role_menu` VALUES (2, 1004);
INSERT INTO `sys_role_menu` VALUES (2, 1005);
INSERT INTO `sys_role_menu` VALUES (2, 1006);
INSERT INTO `sys_role_menu` VALUES (2, 1007);
INSERT INTO `sys_role_menu` VALUES (2, 1008);
INSERT INTO `sys_role_menu` VALUES (2, 1009);
INSERT INTO `sys_role_menu` VALUES (2, 1010);
INSERT INTO `sys_role_menu` VALUES (2, 1011);
INSERT INTO `sys_role_menu` VALUES (2, 1012);
INSERT INTO `sys_role_menu` VALUES (2, 1013);
INSERT INTO `sys_role_menu` VALUES (2, 1014);
INSERT INTO `sys_role_menu` VALUES (2, 1015);
INSERT INTO `sys_role_menu` VALUES (2, 1016);
INSERT INTO `sys_role_menu` VALUES (2, 1017);
INSERT INTO `sys_role_menu` VALUES (2, 1018);
INSERT INTO `sys_role_menu` VALUES (2, 1019);
INSERT INTO `sys_role_menu` VALUES (2, 1020);
INSERT INTO `sys_role_menu` VALUES (2, 1021);
INSERT INTO `sys_role_menu` VALUES (2, 1022);
INSERT INTO `sys_role_menu` VALUES (2, 1023);
INSERT INTO `sys_role_menu` VALUES (2, 1024);
INSERT INTO `sys_role_menu` VALUES (2, 1025);
INSERT INTO `sys_role_menu` VALUES (2, 1026);
INSERT INTO `sys_role_menu` VALUES (2, 1027);
INSERT INTO `sys_role_menu` VALUES (2, 1028);
INSERT INTO `sys_role_menu` VALUES (2, 1029);
INSERT INTO `sys_role_menu` VALUES (2, 1030);
INSERT INTO `sys_role_menu` VALUES (2, 1031);
INSERT INTO `sys_role_menu` VALUES (2, 1032);
INSERT INTO `sys_role_menu` VALUES (2, 1033);
INSERT INTO `sys_role_menu` VALUES (2, 1034);
INSERT INTO `sys_role_menu` VALUES (2, 1035);
INSERT INTO `sys_role_menu` VALUES (2, 1036);
INSERT INTO `sys_role_menu` VALUES (2, 1037);
INSERT INTO `sys_role_menu` VALUES (2, 1038);
INSERT INTO `sys_role_menu` VALUES (2, 1039);
INSERT INTO `sys_role_menu` VALUES (2, 1040);
INSERT INTO `sys_role_menu` VALUES (2, 1041);
INSERT INTO `sys_role_menu` VALUES (2, 1042);
INSERT INTO `sys_role_menu` VALUES (2, 1043);
INSERT INTO `sys_role_menu` VALUES (2, 1044);
INSERT INTO `sys_role_menu` VALUES (2, 1045);
INSERT INTO `sys_role_menu` VALUES (2, 1046);
INSERT INTO `sys_role_menu` VALUES (2, 1047);
INSERT INTO `sys_role_menu` VALUES (2, 1048);
INSERT INTO `sys_role_menu` VALUES (2, 1049);
INSERT INTO `sys_role_menu` VALUES (2, 1050);
INSERT INTO `sys_role_menu` VALUES (2, 1051);
INSERT INTO `sys_role_menu` VALUES (2, 1052);
INSERT INTO `sys_role_menu` VALUES (2, 1053);
INSERT INTO `sys_role_menu` VALUES (2, 1054);
INSERT INTO `sys_role_menu` VALUES (2, 1055);
INSERT INTO `sys_role_menu` VALUES (2, 1056);
INSERT INTO `sys_role_menu` VALUES (2, 1057);
INSERT INTO `sys_role_menu` VALUES (2, 1058);
INSERT INTO `sys_role_menu` VALUES (2, 1059);
INSERT INTO `sys_role_menu` VALUES (2, 1060);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 103, 'admin', '若依', '00', 'ry@163.com', '15888888888', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2025-04-29 10:02:17', 'admin', '2024-12-30 22:29:35', '', '2025-04-29 10:02:17', '管理员');
INSERT INTO `sys_user` VALUES (2, 105, 'ry', '若依', '00', 'ry@qq.com', '15666666666', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-12-30 22:29:35', 'admin', '2024-12-30 22:29:35', '', NULL, '测试员');

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `post_id` bigint(20) NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户与岗位关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);
INSERT INTO `sys_user_post` VALUES (2, 2);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户和角色关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);

-- ----------------------------
-- Table structure for uavps_aircraft
-- ----------------------------
DROP TABLE IF EXISTS `uavps_aircraft`;
CREATE TABLE `uavps_aircraft`  (
  `bizId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '业务ID',
  `data_time` decimal(8, 2) NOT NULL COMMENT '时间单位ms,代表本次数据的时间',
  `aircraft_data` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '飞机数据',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`bizId`, `data_time`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '飞机数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of uavps_aircraft
-- ----------------------------
INSERT INTO `uavps_aircraft` VALUES ('1', 0.00, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.0,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":460.05,\"coordinateY\":400.06,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":540.05,\"coordinateY\":400.06,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":620.05,\"coordinateY\":400.06,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":500.0,\"coordinateZ\":0.0,\"velocityX\":25.15,\"velocityY\":-0.15,\"velocityZ\":-0.15,\"velocity\":25.15,\"aircraftPoseX\":0.0,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.0,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":120.25,\"coordinateY\":490,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:34', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.05, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.05,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":460.05,\"coordinateY\":395.06,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":540.05,\"coordinateY\":395.06,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":620.05,\"coordinateY\":395.06,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":495.0,\"coordinateZ\":-0.01,\"velocityX\":25.58,\"velocityY\":-0.35,\"velocityZ\":-0.35,\"velocity\":25.58,\"aircraftPoseX\":0.0,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":-0.01,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":150.25,\"coordinateY\":485,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:35', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.10, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.1,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":460.55,\"coordinateY\":390.66,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":540.55,\"coordinateY\":390.66,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":620.55,\"coordinateY\":390.66,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":490.0,\"coordinateZ\":-0.04,\"velocityX\":25.55,\"velocityY\":-0.52,\"velocityZ\":-0.52,\"velocity\":25.56,\"aircraftPoseX\":0.0,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.0,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":150.25,\"coordinateY\":480,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:35', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.15, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.15,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":460.8,\"coordinateY\":385.96,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":540.8,\"coordinateY\":385.96,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":620.8,\"coordinateY\":385.96,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":485.0,\"coordinateZ\":-0.06,\"velocityX\":25.53,\"velocityY\":-0.62,\"velocityZ\":-0.62,\"velocity\":25.53,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.0,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":180,\"coordinateY\":475,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:35', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.20, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.2,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":461.05,\"coordinateY\":380.26,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":541.05,\"coordinateY\":380.26,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":621.05,\"coordinateY\":380.26,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":480.0,\"coordinateZ\":-0.1,\"velocityX\":25.5,\"velocityY\":-0.66,\"velocityZ\":-0.66,\"velocity\":25.51,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.01,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":180,\"coordinateY\":470,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:36', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.25, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.25,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":461.3,\"coordinateY\":375.56,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":541.3,\"coordinateY\":375.56,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":621.3,\"coordinateY\":375.56,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":475.0,\"coordinateZ\":-0.13,\"velocityX\":25.48,\"velocityY\":-0.68,\"velocityZ\":-0.68,\"velocity\":25.49,\"aircraftPoseX\":0.02,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.01,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":180,\"coordinateY\":475,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:36', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.30, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.3,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":461.55,\"coordinateY\":370.86,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":541.55,\"coordinateY\":370.86,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":621.55,\"coordinateY\":370.86,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":470.0,\"coordinateZ\":-0.17,\"velocityX\":25.46,\"velocityY\":-0.7,\"velocityZ\":-0.7,\"velocity\":25.47,\"aircraftPoseX\":0.02,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.01,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":230,\"coordinateY\":470,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:36', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.35, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.35,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":461.8,\"coordinateY\":365.16,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":541.8,\"coordinateY\":365.16,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":621.8,\"coordinateY\":365.16,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":465.0,\"coordinateZ\":-0.2,\"velocityX\":25.44,\"velocityY\":-0.72,\"velocityZ\":-0.72,\"velocity\":25.45,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.02,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":230,\"coordinateY\":465,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:37', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.40, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.4,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":462.05,\"coordinateY\":360.46,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":542.05,\"coordinateY\":360.46,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":622.05,\"coordinateY\":360.46,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":460.0,\"coordinateZ\":-0.24,\"velocityX\":25.42,\"velocityY\":-0.76,\"velocityZ\":-0.76,\"velocity\":25.43,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.02,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":230,\"coordinateY\":460,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:37', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.45, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.45,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":462.3,\"coordinateY\":355.76,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":542.3,\"coordinateY\":355.76,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":622.3,\"coordinateY\":355.76,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":455.0,\"coordinateZ\":-0.28,\"velocityX\":25.4,\"velocityY\":-0.8,\"velocityZ\":-0.8,\"velocity\":25.41,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.02,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":235,\"coordinateY\":460,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:37', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.50, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.5,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":462.55,\"coordinateY\":350.06,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":542.55,\"coordinateY\":350.06,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":622.55,\"coordinateY\":350.06,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":450.00,\"coordinateZ\":-0.32,\"velocityX\":25.38,\"velocityY\":-0.84,\"velocityZ\":-0.84,\"velocity\":25.39,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.02,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":240,\"coordinateY\":460,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:38', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.55, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.55,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":462.8,\"coordinateY\":345.36,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":542.8,\"coordinateY\":345.36,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":622.8,\"coordinateY\":345.36,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":445.00,\"coordinateZ\":-0.36,\"velocityX\":25.36,\"velocityY\":-0.87,\"velocityZ\":-0.87,\"velocity\":25.37,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.03,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":240,\"coordinateY\":455,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:38', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.60, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.6,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":463.05,\"coordinateY\":340.66,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":543.05,\"coordinateY\":340.66,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":623.05,\"coordinateY\":340.66,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":440.00,\"coordinateZ\":-0.4,\"velocityX\":25.34,\"velocityY\":-0.89,\"velocityZ\":-0.89,\"velocity\":25.36,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.03,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":240,\"coordinateY\":450,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:38', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.65, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.65,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":463.3,\"coordinateY\":335.96,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":543.3,\"coordinateY\":335.96,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":623.3,\"coordinateY\":335.96,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":435.00,\"coordinateZ\":-0.45,\"velocityX\":25.33,\"velocityY\":-0.9,\"velocityZ\":-0.9,\"velocity\":25.34,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.03,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":240,\"coordinateY\":460,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:39', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.70, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.7,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":463.55,\"coordinateY\":330.26,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":543.55,\"coordinateY\":330.26,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":623.55,\"coordinateY\":330.26,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":430.00,\"coordinateZ\":-0.49,\"velocityX\":25.31,\"velocityY\":-0.9,\"velocityZ\":-0.9,\"velocity\":25.33,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.03,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":240,\"coordinateY\":455,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:39', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.75, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.75,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":463.8,\"coordinateY\":325.56,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":543.8,\"coordinateY\":325.56,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":623.8,\"coordinateY\":325.56,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":425.00,\"coordinateZ\":-0.54,\"velocityX\":25.29,\"velocityY\":-0.9,\"velocityZ\":-0.9,\"velocity\":25.31,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.03,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":340,\"coordinateY\":450,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:39', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.80, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.8,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":464.05,\"coordinateY\":320.86,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":544.05,\"coordinateY\":320.86,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":624.05,\"coordinateY\":320.86,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":420.00,\"coordinateZ\":-0.58,\"velocityX\":25.28,\"velocityY\":-0.9,\"velocityZ\":-0.9,\"velocity\":25.29,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.03,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":345,\"coordinateY\":450,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:40', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.85, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.85,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":464.3,\"coordinateY\":315.16,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":544.3,\"coordinateY\":315.16,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":624.3,\"coordinateY\":315.16,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":415.00,\"coordinateZ\":-0.63,\"velocityX\":25.26,\"velocityY\":-0.89,\"velocityZ\":-0.89,\"velocity\":25.28,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.03,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":345,\"coordinateY\":445,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:40', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.90, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.9,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":464.55,\"coordinateY\":310.46,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":544.55,\"coordinateY\":310.46,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":624.55,\"coordinateY\":310.46,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":410.00,\"coordinateZ\":-0.67,\"velocityX\":25.25,\"velocityY\":-0.89,\"velocityZ\":-0.89,\"velocity\":25.26,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.01,\"aircraftPoseZ\":0.04,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":345,\"coordinateY\":440,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:40', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.95, '{\"bizId\":\"1\",\"finished\":\"true\",\"time\":0.95,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":464.8,\"coordinateY\":305.76,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":544.8,\"coordinateY\":305.76,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":624.8,\"coordinateY\":305.76,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":405.00,\"coordinateZ\":-0.72,\"velocityX\":25.23,\"velocityY\":-0.88,\"velocityZ\":-0.88,\"velocity\":25.25,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.01,\"aircraftPoseZ\":0.04,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":345,\"coordinateY\":435,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:41', NULL, NULL);

-- ----------------------------
-- Table structure for uavps_algorithm_parameter
-- ----------------------------
DROP TABLE IF EXISTS `uavps_algorithm_parameter`;
CREATE TABLE `uavps_algorithm_parameter`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `formation_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '目标集群类型',
  `target_id` int(11) NOT NULL COMMENT '目标ID',
  `longitude` decimal(10, 7) NOT NULL DEFAULT 0.0000000 COMMENT '经度',
  `latitude` decimal(10, 7) NOT NULL DEFAULT 0.0000000 COMMENT '纬度',
  `altitude` int(11) NOT NULL DEFAULT 0 COMMENT '海拔',
  `east_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '东向速度',
  `north_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '北向速度',
  `sky_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '天向速度',
  `utc_times` int(11) NOT NULL DEFAULT 0 COMMENT 'UTC时间',
  `target_total` int(11) NOT NULL DEFAULT 0 COMMENT '本次目标总数',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '算法参数信息' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of uavps_algorithm_parameter
-- ----------------------------
INSERT INTO `uavps_algorithm_parameter` VALUES (1, '1', 1, 104.6598520, 29.3658562, 200, 200.0, 100.0, 0.0, 0, 12, NULL, '2025-03-27 11:40:37', NULL, '2025-04-13 18:52:31');

-- ----------------------------
-- Table structure for uavps_algorithm_task
-- ----------------------------
DROP TABLE IF EXISTS `uavps_algorithm_task`;
CREATE TABLE `uavps_algorithm_task`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '算法任务名称',
  `uav_id` int(11) NOT NULL COMMENT '平台无人机ID',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '算法任务表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of uavps_algorithm_task
-- ----------------------------
INSERT INTO `uavps_algorithm_task` VALUES (3, '算法任务1', 6, '算法1', 'admin', '2025-02-19 21:13:26', 'admin', '2025-02-19 21:17:34');

-- ----------------------------
-- Table structure for uavps_algorithm_task_formation
-- ----------------------------
DROP TABLE IF EXISTS `uavps_algorithm_task_formation`;
CREATE TABLE `uavps_algorithm_task_formation`  (
  `algorithm_task_id` int(11) NOT NULL COMMENT '算法任务ID',
  `formation_id` int(11) NOT NULL COMMENT '多目标集群ID',
  PRIMARY KEY (`algorithm_task_id`, `formation_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '算法任务和多目标集群关联表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of uavps_algorithm_task_formation
-- ----------------------------
INSERT INTO `uavps_algorithm_task_formation` VALUES (3, 6);

-- ----------------------------
-- Table structure for uavps_multi_target_formation
-- ----------------------------
DROP TABLE IF EXISTS `uavps_multi_target_formation`;
CREATE TABLE `uavps_multi_target_formation`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `target_id` int(11) NOT NULL COMMENT '目标ID',
  `longitude` decimal(10, 7) NOT NULL DEFAULT 0.0000000 COMMENT '经度',
  `latitude` decimal(10, 7) NOT NULL DEFAULT 0.0000000 COMMENT '纬度',
  `altitude` int(11) NOT NULL DEFAULT 0 COMMENT '海拔',
  `east_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '东向速度',
  `north_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '北向速度',
  `sky_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '天向速度',
  `utc_times` int(11) NOT NULL DEFAULT 0 COMMENT 'UTC时间',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '多目标集群信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of uavps_multi_target_formation
-- ----------------------------
INSERT INTO `uavps_multi_target_formation` VALUES (1, 1, 2.3659861, 3.6598315, 200, 3.2, 2.3, 2.2, 123456, 'admin', '2025-03-26 11:08:46', 'admin', '2025-03-26 11:14:03');
INSERT INTO `uavps_multi_target_formation` VALUES (2, 2, 2.3366955, 3.2654712, 120, 2.1, 1.3, 0.5, 3265332, 'admin', '2025-03-26 11:17:11', NULL, NULL);
INSERT INTO `uavps_multi_target_formation` VALUES (3, 3, 2.1415632, 2.3652363, 300, 1.5, 2.6, 0.6, 3652236, 'admin', '2025-03-26 11:17:11', NULL, NULL);

-- ----------------------------
-- Table structure for uavps_task
-- ----------------------------
DROP TABLE IF EXISTS `uavps_task`;
CREATE TABLE `uavps_task`  (
  `biz_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '业务ID',
  `biz_name` varchar(127) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `biz_type` varchar(7) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '业务类型（start：开始，change：队形转换，disappear：消失出现）',
  `multi_target` varchar(7) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '多目标类型',
  `noise_type` varchar(127) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '噪声类型',
  `noise_variance` decimal(10, 6) NULL DEFAULT NULL COMMENT '噪声方差',
  `noise_mean` decimal(12, 6) NULL DEFAULT NULL COMMENT '噪声均值',
  `platform_uav_str` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '固定翼平台无人机数据',
  `fixed_multi_target_formation_str` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '固定编队目标数据',
  `customized_multi_target_formation_str` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '自定义编队目标数据',
  `status` varchar(7) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '状态',
  `start_time` datetime NULL DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime NULL DEFAULT NULL COMMENT '结束时间',
  `file_path` varchar(127) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '噪声数据文件路径',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`biz_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '任务数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of uavps_task
-- ----------------------------
INSERT INTO `uavps_task` VALUES (1, '任务1', 'start', '1', '高斯', 0.000005, 0.000005, '{\"longitude\":104.5,\"latitude\":29.5,\"altitude\":0,\"eastSpeed\":100,\"northSpeed\":100,\"skySpeed\":100}', '{\"targetTotal\":13,\"longitude\":104.59,\"latitude\":29.56,\"altitude\":500,\"eastSpeed\":100,\"northSpeed\":100,\"skySpeed\":0,\"flightPathType\":\"直线\",\"formationShape\":\"V\",\"followAircraftDistance\":100}', NULL, '2', '2025-04-28 21:58:27', '2025-04-28 22:28:58', 'D:/UavPs/uploadPath/task/1/20250428215827A061.txt', 'admin', '2025-04-18 20:11:35', 'admin', '2025-04-28 22:28:58');
INSERT INTO `uavps_task` VALUES (2, '任务2', 'start', '2', '高斯', 0.000005, 0.000005, '{\"longitude\":104.5000000,\"latitude\":29.5000000,\"altitude\":0,\"eastSpeed\":100,\"northSpeed\":100,\"skySpeed\":100}', '', '[{\"number\":1,\"longitude\":104.5900000,\"latitude\":29.5600000,\"altitude\":500.000000,\"eastSpeed\":100.00,\"northSpeed\":100.00,\"skySpeed\":0.0,\"flightPathType\":\"直线\",\"positionNoise\":18.2},{\"number\":2,\"longitude\":104.5910000,\"latitude\":29.5600000,\"altitude\":500.000000,\"eastSpeed\":100.00,\"northSpeed\":100.00,\"skySpeed\":0.0,\"flightPathType\":\"直线\",\"positionNoise\":18.20},{\"number\":3,\"longitude\":104.5890000,\"latitude\":29.5600000,\"altitude\":500.000000,\"eastSpeed\":1000.00,\"northSpeed\":1000.00,\"skySpeed\":0.0,\"flightPathType\":\"直线\",\"positionNoise\":18.20}]', '2', '2025-04-29 10:03:31', '2025-04-29 10:05:57', 'D:/UavPs/uploadPath/task/2/20250429100330A002.txt', 'admin', '2025-04-18 20:11:46', 'admin', '2025-04-29 10:05:57');
INSERT INTO `uavps_task` VALUES (4, '111', 'start', '2', '1', 0.000005, 0.000005, '{\"longitude\":104.5,\"latitude\":29.5,\"altitude\":0,\"eastSpeed\":100,\"northSpeed\":100,\"skySpeed\":100}', '{\"targetTotal\":null,\"longitude\":null,\"latitude\":null,\"altitude\":null,\"eastSpeed\":null,\"northSpeed\":null,\"skySpeed\":null,\"flightPathType\":null,\"formationShape\":null,\"followAircraftDistance\":null}', '[{\"number\":1,\"longitude\":104.58984120472907,\"latitude\":29.551869791,\"altitude\":0,\"eastSpeed\":100,\"northSpeed\":100,\"skySpeed\":100,\"flightPathType\":\"直线\",\"positionNoise\":18.2},{\"number\":2,\"longitude\":104.59307779623857,\"latitude\":29.535556728603602,\"altitude\":100,\"eastSpeed\":100,\"northSpeed\":100,\"skySpeed\":100,\"flightPathType\":\"直线\",\"positionNoise\":18.2},{\"number\":3,\"longitude\":104.57870732993635,\"latitude\":29.56279771959459,\"altitude\":100,\"eastSpeed\":100,\"northSpeed\":100,\"skySpeed\":100,\"flightPathType\":\"直线\",\"positionNoise\":18.2},{\"number\":4,\"longitude\":104.60463544316384,\"latitude\":29.56097832207207,\"altitude\":1,\"eastSpeed\":1,\"northSpeed\":1,\"skySpeed\":1,\"flightPathType\":\"直线\",\"positionNoise\":1}]', '2', '2025-04-29 10:03:00', '2025-04-29 10:03:22', 'D:/UavPs/uploadPath/task/4/20250429100300A001.txt', NULL, '2025-04-22 00:15:01', NULL, '2025-04-29 10:03:22');

-- ----------------------------
-- Table structure for uavps_unmanned_aerial_vehicle
-- ----------------------------
DROP TABLE IF EXISTS `uavps_unmanned_aerial_vehicle`;
CREATE TABLE `uavps_unmanned_aerial_vehicle`  (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '名称',
  `longitude` decimal(10, 7) NOT NULL DEFAULT 0.0000000 COMMENT '经度',
  `latitude` decimal(10, 7) NOT NULL DEFAULT 0.0000000 COMMENT '纬度',
  `altitude` int(11) NOT NULL DEFAULT 0 COMMENT '海拔',
  `azimuth_angle` decimal(8, 2) NOT NULL DEFAULT 0.00 COMMENT '方位角',
  `pitch_angle` decimal(8, 2) NOT NULL DEFAULT 0.00 COMMENT '俯仰角',
  `roll_angle` decimal(8, 2) NOT NULL DEFAULT 0.00 COMMENT '横滚角',
  `east_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '东向速度',
  `north_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '北向速度',
  `sky_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '天向速度',
  `track_angle` decimal(8, 2) NOT NULL DEFAULT 0.00 COMMENT '航迹角',
  `utc_times` datetime NULL DEFAULT NULL COMMENT 'UTC时间',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '无人机信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of uavps_unmanned_aerial_vehicle
-- ----------------------------
INSERT INTO `uavps_unmanned_aerial_vehicle` VALUES (1, '无人机1', 2.3652365, 2.6365981, 200, 20.00, 10.00, 15.00, 2.3, 2.1, 1.5, 15.00, '2025-03-26 12:22:30', 'admin', '2025-03-26 12:22:15', 'admin', '2025-03-26 12:22:44');
INSERT INTO `uavps_unmanned_aerial_vehicle` VALUES (2, '无人机2', 2.3655232, 2.1589632, 300, 15.00, 12.00, 10.00, 2.3, 3.6, 1.2, 10.00, '2025-03-26 14:58:22', 'admin', '2025-03-26 14:59:12', NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
