/*
 Navicat Premium Data Transfer

 Source Server         : huoshan
 Source Server Type    : MySQL
 Source Server Version : 50744
 Source Host           : 101.126.133.7:9006
 Source Schema         : uav_ps

 Target Server Type    : MySQL
 Target Server Version : 50744
 File Encoding         : 65001

 Date: 18/05/2025 22:06:46
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for uavps_task
-- ----------------------------
DROP TABLE IF EXISTS `uavps_task`;
CREATE TABLE `uavps_task`  (
  `biz_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '业务ID',
  `biz_name` varchar(127) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `biz_type` varchar(7) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '业务类型（start：开始，change：队形转换，disappear：消失出现）',
  `multi_target` varchar(7) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '多目标类型',
  `smart_algorithm` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否智能算法，1是，0不是',
  `noise_type` varchar(127) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '噪声类型',
  `noise_variance` decimal(10, 6) NULL DEFAULT NULL COMMENT '噪声方差',
  `noise_mean` decimal(12, 6) NULL DEFAULT NULL COMMENT '噪声均值',
  `platform_uav_str` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '固定翼平台无人机数据',
  `fixed_multi_target_formation_str` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '固定编队目标数据',
  `customized_multi_target_formation_str` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '自定义编队目标数据',
  `status` varchar(7) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '状态',
  `start_time` datetime NULL DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime NULL DEFAULT NULL COMMENT '结束时间',
  `file_path` varchar(127) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '噪声数据文件路径',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`biz_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '任务数据表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of uavps_task
-- ----------------------------
INSERT INTO `uavps_task` VALUES (1, '任务1', 'start', '1', NULL, '高斯', 0.000005, 0.000005, '{\"longitude\":104.5,\"latitude\":29.5,\"altitude\":0,\"eastSpeed\":100,\"northSpeed\":100,\"skySpeed\":100}', '{\"targetTotal\":13,\"longitude\":104.59,\"latitude\":29.56,\"altitude\":500,\"eastSpeed\":100,\"northSpeed\":0,\"skySpeed\":0,\"flightPathType\":\"直线\",\"formationShape\":\"V\",\"followAircraftDistance\":100}', NULL, '2', '2025-05-18 20:47:09', '2025-05-18 20:48:41', 'D:/UavPs/uploadPath/task/1/20250518204709A003.txt', 'admin', '2025-04-18 20:11:35', 'admin', '2025-05-18 20:48:41');
INSERT INTO `uavps_task` VALUES (2, '任务2', 'start', '2', NULL, '高斯', 0.000005, 0.000005, '{\"longitude\":104.5000000,\"latitude\":29.5000000,\"altitude\":0,\"eastSpeed\":100,\"northSpeed\":100,\"skySpeed\":100}', '', '[{\"number\":1,\"longitude\":104.5900000,\"latitude\":29.5600000,\"altitude\":500.000000,\"eastSpeed\":100.00,\"northSpeed\":100.00,\"skySpeed\":0.0,\"flightPathType\":\"直线\",\"positionNoise\":18.2},{\"number\":2,\"longitude\":104.5910000,\"latitude\":29.5600000,\"altitude\":500.000000,\"eastSpeed\":100.00,\"northSpeed\":100.00,\"skySpeed\":0.0,\"flightPathType\":\"直线\",\"positionNoise\":18.20},{\"number\":3,\"longitude\":104.5890000,\"latitude\":29.5600000,\"altitude\":500.000000,\"eastSpeed\":1000.00,\"northSpeed\":1000.00,\"skySpeed\":0.0,\"flightPathType\":\"直线\",\"positionNoise\":18.20}]', '2', '2025-05-07 10:35:22', '2025-05-07 10:35:24', 'D:/UavPs/uploadPath/task/2/20250507103521A012.txt', 'admin', '2025-04-18 20:11:46', 'admin', '2025-05-07 10:35:24');
INSERT INTO `uavps_task` VALUES (4, '111', 'start', '2', NULL, '1', 0.000005, 0.000005, '{\"longitude\":104.5,\"latitude\":29.5,\"altitude\":0,\"eastSpeed\":100,\"northSpeed\":100,\"skySpeed\":100}', '{\"targetTotal\":null,\"longitude\":null,\"latitude\":null,\"altitude\":null,\"eastSpeed\":null,\"northSpeed\":null,\"skySpeed\":null,\"flightPathType\":null,\"formationShape\":null,\"followAircraftDistance\":null}', '[{\"number\":1,\"longitude\":104.58984120472907,\"latitude\":29.551869791,\"altitude\":0,\"eastSpeed\":100,\"northSpeed\":100,\"skySpeed\":100,\"flightPathType\":\"直线\",\"positionNoise\":18.2},{\"number\":2,\"longitude\":104.59307779623857,\"latitude\":29.535556728603602,\"altitude\":100,\"eastSpeed\":100,\"northSpeed\":100,\"skySpeed\":100,\"flightPathType\":\"直线\",\"positionNoise\":18.2},{\"number\":3,\"longitude\":104.6454348972215,\"latitude\":29.533851772981983,\"altitude\":3,\"eastSpeed\":3,\"northSpeed\":3,\"skySpeed\":3,\"flightPathType\":\"直线\",\"positionNoise\":3}]', '2', '2025-05-08 09:03:56', '2025-05-08 09:03:59', 'D:/UavPs/uploadPath/task/4/20250508090356A001.txt', NULL, '2025-04-22 00:15:01', NULL, '2025-05-08 16:14:11');

SET FOREIGN_KEY_CHECKS = 1;
