package com.uavps.system.mapper;

import com.uavps.system.domain.UavpsMultiTargetFormation;

import java.util.List;

/**
 * 多目标集群信息Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-07
 */
public interface UavpsMultiTargetFormationMapper {
    /**
     * 查询多目标集群信息
     *
     * @param id 多目标集群信息主键
     * @return 多目标集群信息
     */
    public UavpsMultiTargetFormation selectUavpsMultiTargetFormationById(Long id);

    /**
     * 查询多目标集群信息列表
     *
     * @param uavpsMultiTargetFormation 多目标集群信息
     * @return 多目标集群信息集合
     */
    public List<UavpsMultiTargetFormation> selectUavpsMultiTargetFormationList(UavpsMultiTargetFormation uavpsMultiTargetFormation);

    /**
     * 新增多目标集群信息
     *
     * @param uavpsMultiTargetFormation 多目标集群信息
     * @return 结果
     */
    public int insertUavpsMultiTargetFormation(UavpsMultiTargetFormation uavpsMultiTargetFormation);

    /**
     * 修改多目标集群信息
     *
     * @param uavpsMultiTargetFormation 多目标集群信息
     * @return 结果
     */
    public int updateUavpsMultiTargetFormation(UavpsMultiTargetFormation uavpsMultiTargetFormation);

    /**
     * 删除多目标集群信息
     *
     * @param id 多目标集群信息主键
     * @return 结果
     */
    public int deleteUavpsMultiTargetFormationById(Long id);

    /**
     * 批量删除多目标集群信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUavpsMultiTargetFormationByIds(Long[] ids);

    /**
     * 通过目标ID查询数据
     *
     * @param targetId 目标ID
     * @return 多目标集群信息
     */
    public UavpsMultiTargetFormation selectByTargetId(Long targetId);

    public List<UavpsMultiTargetFormation> selectUavpsMultiTargetFormationAll();
}
