package com.uavps.system.mapper;

import com.uavps.system.domain.UavpsUnmannedAerialVehicle;

import java.util.List;

/**
 * 无人机信息Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-07
 */
public interface UavpsUnmannedAerialVehicleMapper {
    /**
     * 查询无人机信息
     *
     * @param id 无人机信息主键
     * @return 无人机信息
     */
    public UavpsUnmannedAerialVehicle selectUavpsUnmannedAerialVehicleById(Long id);

    /**
     * 查询无人机信息列表
     *
     * @param uavpsUnmannedAerialVehicle 无人机信息
     * @return 无人机信息集合
     */
    public List<UavpsUnmannedAerialVehicle> selectUavpsUnmannedAerialVehicleList(UavpsUnmannedAerialVehicle uavpsUnmannedAerialVehicle);

    /**
     * 新增无人机信息
     *
     * @param uavpsUnmannedAerialVehicle 无人机信息
     * @return 结果
     */
    public int insertUavpsUnmannedAerialVehicle(UavpsUnmannedAerialVehicle uavpsUnmannedAerialVehicle);

    /**
     * 修改无人机信息
     *
     * @param uavpsUnmannedAerialVehicle 无人机信息
     * @return 结果
     */
    public int updateUavpsUnmannedAerialVehicle(UavpsUnmannedAerialVehicle uavpsUnmannedAerialVehicle);

    /**
     * 删除无人机信息
     *
     * @param id 无人机信息主键
     * @return 结果
     */
    public int deleteUavpsUnmannedAerialVehicleById(Long id);

    /**
     * 批量删除无人机信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUavpsUnmannedAerialVehicleByIds(Long[] ids);

    /**
     * 通过名称查询数据
     *
     * @param name 名称
     * @return 无人机信息
     */
    public UavpsUnmannedAerialVehicle selectByName(String name);

    /**
     * @return 无人机信息集合
     */
    public List<UavpsUnmannedAerialVehicle> selectUavpsUavAll();
}
