package com.uavps.system.service;

import com.uavps.system.domain.UavpsMultiTargetFormation;

import java.util.List;

/**
 * 多目标集群信息Service接口
 *
 * @author ruoyi
 * @date 2025-02-07
 */
public interface IUavpsMultiTargetFormationService {
    /**
     * 查询多目标集群信息
     *
     * @param id 多目标集群信息主键
     * @return 多目标集群信息
     */
    public UavpsMultiTargetFormation selectUavpsMultiTargetFormationById(Long id);

    /**
     * 查询多目标集群信息列表
     *
     * @param uavpsMultiTargetFormation 多目标集群信息
     * @return 多目标集群信息集合
     */
    public List<UavpsMultiTargetFormation> selectUavpsMultiTargetFormationList(UavpsMultiTargetFormation uavpsMultiTargetFormation);

    /**
     * 新增多目标集群信息
     *
     * @param uavpsMultiTargetFormation 多目标集群信息
     * @return 结果
     */
    public int insertUavpsMultiTargetFormation(UavpsMultiTargetFormation uavpsMultiTargetFormation);

    /**
     * 修改多目标集群信息
     *
     * @param uavpsMultiTargetFormation 多目标集群信息
     * @return 结果
     */
    public int updateUavpsMultiTargetFormation(UavpsMultiTargetFormation uavpsMultiTargetFormation);

    /**
     * 批量删除多目标集群信息
     *
     * @param ids 需要删除的多目标集群信息主键集合
     * @return 结果
     */
    public int deleteUavpsMultiTargetFormationByIds(Long[] ids);

    /**
     * 删除多目标集群信息
     *
     * @param id 多目标集群信息主键
     * @return 结果
     */
    public int deleteUavpsMultiTargetFormationById(Long id);

    /**
     * 导入多目标集群信息
     *
     * @param uavpsMultiTargetFormationList        多目标集群信息数据列表
     * @param isUpdateSupport 是否更新支持，如果已存在，则进行更新数据
     * @param operName        操作用户
     * @return 结果
     */
    public String importUavpsMultiTargetFormation(List<UavpsMultiTargetFormation> uavpsMultiTargetFormationList, Boolean isUpdateSupport, String operName);

    /**
     * @return 多目标集群信息集合
     */
    public List<UavpsMultiTargetFormation> selectUavpsMultiTargetFormationAll();
}
