package com.uavps.system.service;

import com.uavps.system.domain.UavpsUnmannedAerialVehicle;

import java.util.List;

/**
 * 无人机信息Service接口
 *
 * @author ruoyi
 * @date 2025-02-07
 */
public interface IUavpsUnmannedAerialVehicleService {
    /**
     * 查询无人机信息
     *
     * @param id 无人机信息主键
     * @return 无人机信息
     */
    public UavpsUnmannedAerialVehicle selectUavpsUnmannedAerialVehicleById(Long id);

    /**
     * 查询无人机信息列表
     *
     * @param uavpsUnmannedAerialVehicle 无人机信息
     * @return 无人机信息集合
     */
    public List<UavpsUnmannedAerialVehicle> selectUavpsUnmannedAerialVehicleList(UavpsUnmannedAerialVehicle uavpsUnmannedAerialVehicle);

    /**
     * 新增无人机信息
     *
     * @param uavpsUnmannedAerialVehicle 无人机信息
     * @return 结果
     */
    public int insertUavpsUnmannedAerialVehicle(UavpsUnmannedAerialVehicle uavpsUnmannedAerialVehicle);

    /**
     * 修改无人机信息
     *
     * @param uavpsUnmannedAerialVehicle 无人机信息
     * @return 结果
     */
    public int updateUavpsUnmannedAerialVehicle(UavpsUnmannedAerialVehicle uavpsUnmannedAerialVehicle);

    /**
     * 批量删除无人机信息
     *
     * @param ids 需要删除的无人机信息主键集合
     * @return 结果
     */
    public int deleteUavpsUnmannedAerialVehicleByIds(Long[] ids);

    /**
     * 删除无人机信息信息
     *
     * @param id 无人机信息主键
     * @return 结果
     */
    public int deleteUavpsUnmannedAerialVehicleById(Long id);

    /**
     * 导入无人机信息
     *
     * @param uavpsUnmannedAerialVehicleList        无人机信息数据列表
     * @param isUpdateSupport 是否更新支持，如果已存在，则进行更新数据
     * @param operName        操作用户
     * @return 结果
     */
    public String importUavpsUav(List<UavpsUnmannedAerialVehicle> uavpsUnmannedAerialVehicleList, Boolean isUpdateSupport, String operName);

    /**
     * @return 无人机信息列表
     */
    public List<UavpsUnmannedAerialVehicle> selectUavpsUavAll();
}
