package com.uavps.system.udp.vo;

import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * @Author MBQ
 * @Date: 2025/1/15
 * @Description: 飞机
 * @Version: 1.0
 **/
public class Aircraft {
    private String aircraftNumber;
    private String aircraftType;
    private double coordinateX;
    private double coordinateY;
    private double coordinateZ;
    private float velocityX;
    private float velocityY;
    private float velocityZ;
    private float velocity;
    private float aircraftPoseX;
    private float aircraftPoseY;
    private float aircraftPoseZ;
    private boolean piloted;
    private double longitude;
    private double latitude;
    private float altitude;
    private double eastSpeed;
    private double northSpeed;
    private double skySpeed;
    private String type;

    public String getAircraftNumber() {
        return aircraftNumber;
    }

    public void setAircraftNumber(String aircraftNumber) {
        this.aircraftNumber = aircraftNumber;
    }

    public double getCoordinateX() {
        BigDecimal bd = new BigDecimal(Double.toString(coordinateX));
        bd = bd.setScale(4, RoundingMode.HALF_UP);
        return bd.doubleValue();
    }

    public void setCoordinateX(double coordinateX) {
        this.coordinateX = coordinateX;
    }

    public double getCoordinateY() {
        BigDecimal bd = new BigDecimal(Double.toString(coordinateY));
        bd = bd.setScale(4, RoundingMode.HALF_UP);
        return bd.doubleValue();
    }

    public void setCoordinateY(double coordinateY) {
        this.coordinateY = coordinateY;
    }

    public double getCoordinateZ() {
        BigDecimal bd = new BigDecimal(Double.toString(coordinateZ));
        bd = bd.setScale(4, RoundingMode.HALF_UP);
        return bd.doubleValue();
    }

    public void setCoordinateZ(float coordinateZ) {
        this.coordinateZ = coordinateZ;
    }

    public float getVelocityX() {
        return velocityX;
    }

    public void setVelocityX(float velocityX) {
        this.velocityX = velocityX;
    }

    public float getVelocityY() {
        return velocityY;
    }

    public void setVelocityY(float velocityY) {
        this.velocityY = velocityY;
    }

    public float getVelocityZ() {
        return velocityZ;
    }

    public void setVelocityZ(float velocityZ) {
        this.velocityZ = velocityZ;
    }

    public float getVelocity() {
        return velocity;
    }

    public void setVelocity(float velocity) {
        this.velocity = velocity;
    }

    public float getAircraftPoseX() {
        return aircraftPoseX;
    }

    public void setAircraftPoseX(float aircraftPoseX) {
        this.aircraftPoseX = aircraftPoseX;
    }

    public float getAircraftPoseY() {
        return aircraftPoseY;
    }

    public void setAircraftPoseY(float aircraftPoseY) {
        this.aircraftPoseY = aircraftPoseY;
    }

    public float getAircraftPoseZ() {
        return aircraftPoseZ;
    }

    public void setAircraftPoseZ(float aircraftPoseZ) {
        this.aircraftPoseZ = aircraftPoseZ;
    }

    public boolean isPiloted() {
        return piloted;
    }

    public void setPiloted(boolean piloted) {
        this.piloted = piloted;
    }

    public double getLongitude() {
        return longitude;
    }

    public void setLongitude(double longitude) {
        this.longitude = longitude;
    }

    public double getLatitude() {
        return latitude;
    }

    public void setLatitude(double latitude) {
        this.latitude = latitude;
    }

    public float getAltitude() {
        return altitude;
    }

    public void setAltitude(float altitude) {
        this.altitude = altitude;
    }

    public double getEastSpeed() {
        return eastSpeed;
    }

    public void setEastSpeed(double eastSpeed) {
        this.eastSpeed = eastSpeed;
    }

    public double getNorthSpeed() {
        return northSpeed;
    }

    public void setNorthSpeed(double northSpeed) {
        this.northSpeed = northSpeed;
    }

    public double getSkySpeed() {
        return skySpeed;
    }

    public void setSkySpeed(double skySpeed) {
        this.skySpeed = skySpeed;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAircraftType() {
        return aircraftType;
    }

    public void setAircraftType(String aircraftType) {
        this.aircraftType = aircraftType;
    }

    public void setCoordinateZ(double coordinateZ) {
        this.coordinateZ = coordinateZ;
    }

    @Override
    public String toString() {
        return "Aircraft{" +
                "aircraftNumber='" + aircraftNumber + '\'' +
                ", aircraftType='" + aircraftType + '\'' +
                ", coordinateX=" + coordinateX +
                ", coordinateY=" + coordinateY +
                ", coordinateZ=" + coordinateZ +
                ", velocityX=" + velocityX +
                ", velocityY=" + velocityY +
                ", velocityZ=" + velocityZ +
                ", velocity=" + velocity +
                ", aircraftPoseX=" + aircraftPoseX +
                ", aircraftPoseY=" + aircraftPoseY +
                ", aircraftPoseZ=" + aircraftPoseZ +
                ", piloted=" + piloted +
                ", longitude=" + longitude +
                ", latitude=" + latitude +
                ", altitude=" + altitude +
                ", eastSpeed=" + eastSpeed +
                ", northSpeed=" + northSpeed +
                ", skySpeed=" + skySpeed +
                ", type='" + type + '\'' +
                '}';
    }
}
