/*
 Navicat Premium Data Transfer

 Source Server         : dev-DB
 Source Server Type    : MySQL
 Source Server Version : 80021
 Source Host           : localhost:3306
 Source Schema         : ryvue

 Target Server Type    : MySQL
 Target Server Version : 80021
 File Encoding         : 65001

 Date: 31/03/2025 10:39:06
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `tpl_web_type` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '前端模板类型（element-ui模版 element-plus模版）',
  `package_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 8 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代码生成业务表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table
-- ----------------------------
INSERT INTO `gen_table` VALUES (1, 'uavps_aircraft', '飞机数据表', NULL, NULL, 'UavpsAircraft', 'crud', '', 'com.uavps.system', 'system', 'aircraft', '飞机数据', 'ruoyi', '0', '/', NULL, 'admin', '2025-01-16 16:38:06', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (2, 'uavps_multi_target_formation', '多目标集群信息表', NULL, NULL, 'UavpsMultiTargetFormation', 'crud', '', 'com.uavps.system', 'system', 'formation', '多目标集群信息', 'ruoyi', '0', '/', NULL, 'admin', '2025-02-07 16:13:49', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (3, 'uavps_unmanned_aerial_vehicle', '无人机信息表', NULL, NULL, 'UavpsUnmannedAerialVehicle', 'crud', '', 'com.uavps.system', 'system', 'vehicle', '无人机信息', 'ruoyi', '0', '/', NULL, 'admin', '2025-02-07 16:13:49', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (4, 'uavps_algorithm_task', '算法任务表', NULL, NULL, 'UavpsAlgorithmTask', 'crud', '', 'com.uavps.system', 'system', 'task', '算法任务', 'ruoyi', '0', '/', NULL, 'admin', '2025-02-18 17:13:22', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (5, 'uavps_algorithm_task_formation', '算法任务和多目标集群关联表', NULL, NULL, 'UavpsAlgorithmTaskFormation', 'crud', '', 'com.uavps.system', 'system', 'formation', '算法任务和多目标集群关联', 'ruoyi', '0', '/', NULL, 'admin', '2025-02-18 17:13:22', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (6, 'uavps_formation_tbl', '算法表', NULL, NULL, 'UavpsFormationTbl', 'crud', '', 'com.uavps.system', 'system', 'tbl', '算法', 'ruoyi', '0', '/', NULL, 'admin', '2025-03-26 10:19:47', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (7, 'uavps_uav', '无人机', NULL, NULL, 'UavpsUav', 'crud', '', 'com.uavps.system', 'system', 'uav', '无人机', 'ruoyi', '0', '/', NULL, 'admin', '2025-03-26 11:39:18', '', NULL, NULL);
INSERT INTO `gen_table` VALUES (8, 'uavps_algorithm_parameter', '算法参数信息', NULL, NULL, 'UavpsAlgorithmParameter', 'crud', '', 'com.uavps.system', 'system', 'parameter', '算法参数信息', 'ruoyi', '0', '/', NULL, 'admin', '2025-03-27 10:22:35', '', NULL, NULL);

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` bigint(0) NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int(0) NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 95 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------
INSERT INTO `gen_table_column` VALUES (1, 1, 'bizId', '业务ID', 'varchar(50)', 'String', 'bizId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-01-16 16:38:06', '', NULL);
INSERT INTO `gen_table_column` VALUES (2, 1, 'data_time', '时间单位ms,代表本次数据的时间', 'decimal(8,2)', 'BigDecimal', 'dataTime', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2025-01-16 16:38:06', '', NULL);
INSERT INTO `gen_table_column` VALUES (3, 1, 'aircraft_data', '飞机数据', 'text', 'String', 'aircraftData', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'textarea', '', 3, 'admin', '2025-01-16 16:38:06', '', NULL);
INSERT INTO `gen_table_column` VALUES (4, 1, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 4, 'admin', '2025-01-16 16:38:06', '', NULL);
INSERT INTO `gen_table_column` VALUES (5, 1, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 5, 'admin', '2025-01-16 16:38:06', '', NULL);
INSERT INTO `gen_table_column` VALUES (6, 1, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 6, 'admin', '2025-01-16 16:38:06', '', NULL);
INSERT INTO `gen_table_column` VALUES (7, 1, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 7, 'admin', '2025-01-16 16:38:06', '', NULL);
INSERT INTO `gen_table_column` VALUES (8, 2, 'id', '编号', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (9, 2, 'aircraft_type', '飞机类型', 'varchar(50)', 'String', 'aircraftType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 2, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (10, 2, 'formation_aircraft_count', '编队飞机数量', 'int', 'Long', 'formationAircraftCount', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (11, 2, 'lead_aircraft_speed', '领航飞机速度', 'decimal(8,2)', 'BigDecimal', 'leadAircraftSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (12, 2, 'initial_position_x', '初始位置X', 'decimal(8,2)', 'BigDecimal', 'initialPositionX', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (13, 2, 'initial_position_y', '初始位置Y', 'decimal(8,2)', 'BigDecimal', 'initialPositionY', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (14, 2, 'initial_position_z', '初始位置Z', 'decimal(8,2)', 'BigDecimal', 'initialPositionZ', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (15, 2, 'flight_path_type', '航线类型', 'varchar(20)', 'String', 'flightPathType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 8, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (16, 2, 'position_noise', '噪声', 'decimal(8,2)', 'BigDecimal', 'positionNoise', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (17, 2, 'formation_shape', '编队形状', 'varchar(20)', 'String', 'formationShape', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (18, 2, 'follow_aircraft_distance', '跟随飞机距离', 'decimal(8,2)', 'BigDecimal', 'followAircraftDistance', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (19, 2, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (20, 2, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (21, 2, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (22, 2, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (23, 3, 'id', '编号', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (24, 3, 'initial_position_x', '无人机初始位置X', 'decimal(8,2)', 'BigDecimal', 'initialPositionX', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (25, 3, 'initial_position_y', '无人机初始位置Y', 'decimal(8,2)', 'BigDecimal', 'initialPositionY', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (26, 3, 'initial_position_z', '无人机初始位置Z', 'decimal(8,2)', 'BigDecimal', 'initialPositionZ', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (27, 3, 'initial_speed', '无人机初始速度', 'decimal(8,2)', 'BigDecimal', 'initialSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (28, 3, 'initial_pose_x', '无人机初始姿态X', 'decimal(8,2)', 'BigDecimal', 'initialPoseX', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (29, 3, 'initial_pose_y', '无人机初始姿态Y', 'decimal(8,2)', 'BigDecimal', 'initialPoseY', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (30, 3, 'initial_pose_z', '无人机初始姿态Z', 'decimal(8,2)', 'BigDecimal', 'initialPoseZ', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (31, 3, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (32, 3, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 10, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (33, 3, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (34, 3, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 12, 'admin', '2025-02-07 16:13:49', '', NULL);
INSERT INTO `gen_table_column` VALUES (35, 4, 'id', '编号', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (36, 4, 'name', '算法任务名称', 'varchar(50)', 'String', 'name', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (37, 4, 'uav_id', '平台无人机ID', 'int', 'Long', 'uavId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (38, 4, 'remark', '备注', 'varchar(500)', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'textarea', '', 4, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (39, 4, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 5, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (40, 4, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (41, 4, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (42, 4, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (43, 5, 'algorithm_task_id', '算法任务ID', 'int', 'Long', 'algorithmTaskId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (44, 5, 'formation_id', '多目标集群ID', 'int', 'Long', 'formationId', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 2, 'admin', '2025-02-18 17:13:22', '', NULL);
INSERT INTO `gen_table_column` VALUES (45, 6, 'id', 'ID', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (46, 6, 'target_id', '目标ID', 'int', 'Long', 'targetId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (47, 6, 'longitude', '经度', 'decimal(10,7)', 'BigDecimal', 'longitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (48, 6, 'latitude', '纬度', 'decimal(10,7)', 'BigDecimal', 'latitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (49, 6, 'altitude', '海拔', 'int', 'Long', 'altitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (50, 6, 'east_speed', '东向速度', 'decimal(8,1)', 'BigDecimal', 'eastSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (51, 6, 'north_speed', '北向速度', 'decimal(8,1)', 'BigDecimal', 'northSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (52, 6, 'sky_speed', '天向速度', 'decimal(8,1)', 'BigDecimal', 'skySpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (53, 6, 'utc_time', 'UTC时间', 'int', 'Long', 'utcTime', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (54, 6, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (55, 6, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 11, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (56, 6, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (57, 6, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2025-03-26 10:19:47', '', NULL);
INSERT INTO `gen_table_column` VALUES (58, 7, 'id', 'ID', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (59, 7, 'name', '名称', 'varchar(50)', 'String', 'name', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (60, 7, 'longitude', '经度', 'decimal(10,7)', 'BigDecimal', 'longitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (61, 7, 'latitude', '纬度', 'decimal(10,7)', 'BigDecimal', 'latitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (62, 7, 'altitude', '海拔', 'int', 'Long', 'altitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (63, 7, 'azimuth_angle', '方位角', 'decimal(8,2)', 'BigDecimal', 'azimuthAngle', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (64, 7, 'pitch_angle', '俯仰角', 'decimal(8,2)', 'BigDecimal', 'pitchAngle', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (65, 7, 'roll_angle', '横滚角', 'decimal(8,2)', 'BigDecimal', 'rollAngle', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (66, 7, 'east_speed', '东向速度', 'decimal(8,1)', 'BigDecimal', 'eastSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (67, 7, 'north_speed', '北向速度', 'decimal(8,1)', 'BigDecimal', 'northSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (68, 7, 'sky_speed', '天向速度', 'decimal(8,1)', 'BigDecimal', 'skySpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (69, 7, 'track_angle', '航迹角', 'decimal(8,2)', 'BigDecimal', 'trackAngle', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (70, 7, 'utc_year', 'UTC时间-年', 'int', 'Long', 'utcYear', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (71, 7, 'utc_month', 'UTC时间-月', 'int', 'Long', 'utcMonth', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (72, 7, 'utc_day', 'UTC时间-日', 'int', 'Long', 'utcDay', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 15, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (73, 7, 'utc_hour', 'UTC时间-时', 'int', 'Long', 'utcHour', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 16, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (74, 7, 'utc_minute', 'UTC时间-分', 'int', 'Long', 'utcMinute', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 17, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (75, 7, 'utc_second', 'UTC时间-秒', 'int', 'Long', 'utcSecond', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 18, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (76, 7, 'utc_millisecond', 'UTC时间-毫秒', 'int', 'Long', 'utcMillisecond', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 19, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (77, 7, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 20, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (78, 7, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 21, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (79, 7, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 22, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (80, 7, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 23, 'admin', '2025-03-26 11:39:18', '', NULL);
INSERT INTO `gen_table_column` VALUES (81, 8, 'id', 'ID', 'int', 'Long', 'id', '1', '1', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (82, 8, 'formation_type', '目标集群类型', 'varchar(2)', 'String', 'formationType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 2, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (83, 8, 'target_id', '目标ID', 'int', 'Long', 'targetId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (84, 8, 'longitude', '经度', 'decimal(10,7)', 'BigDecimal', 'longitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (85, 8, 'latitude', '纬度', 'decimal(10,7)', 'BigDecimal', 'latitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (86, 8, 'altitude', '海拔', 'int', 'Long', 'altitude', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (87, 8, 'east_speed', '东向速度', 'decimal(8,1)', 'BigDecimal', 'eastSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (88, 8, 'north_speed', '北向速度', 'decimal(8,1)', 'BigDecimal', 'northSpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (89, 8, 'sky_speed', '天向速度', 'decimal(8,1)', 'BigDecimal', 'skySpeed', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (90, 8, 'utc_times', 'UTC时间', 'int', 'Long', 'utcTimes', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (91, 8, 'target_total', '本次目标总数', 'int', 'Long', 'targetTotal', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (92, 8, 'create_by', '创建人', 'varchar(32)', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (93, 8, 'create_time', '创建时间', 'datetime', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 13, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (94, 8, 'update_by', '更新人', 'varchar(32)', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2025-03-27 10:22:35', '', NULL);
INSERT INTO `gen_table_column` VALUES (95, 8, 'update_time', '更新时间', 'datetime', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2025-03-27 10:22:35', '', NULL);

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob NULL COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'Blob类型的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`, `calendar_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '日历信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = 'Cron类型的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint(0) NOT NULL COMMENT '触发的时间',
  `sched_time` bigint(0) NOT NULL COMMENT '定时器制定的时间',
  `priority` int(0) NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`, `entry_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '已触发的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '任务详细信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`, `lock_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '存储的悲观锁信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`, `trigger_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '暂停的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint(0) NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint(0) NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`, `instance_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '调度器状态表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint(0) NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint(0) NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint(0) NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '简单触发器的信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int(0) NULL DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int(0) NULL DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint(0) NULL DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint(0) NULL DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '同步机制的行锁表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint(0) NULL DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint(0) NULL DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int(0) NULL DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '触发器的类型',
  `start_time` bigint(0) NOT NULL COMMENT '开始时间',
  `end_time` bigint(0) NULL DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint(0) NULL DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  INDEX `sched_name`(`sched_name`, `job_name`, `job_group`) USING BTREE,
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `qrtz_job_details` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '触发器详细信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 6 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '参数配置表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2024-12-30 22:29:36', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2024-12-30 22:29:36', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2024-12-30 22:29:36', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'true', 'Y', 'admin', '2024-12-30 22:29:36', '', NULL, '是否开启验证码功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2024-12-30 22:29:36', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (6, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2024-12-30 22:29:36', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint(0) NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int(0) NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 109 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '部门表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '若依科技', 0, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (101, 100, '0,100', '深圳总公司', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (102, 100, '0,100', '长沙分公司', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (103, 101, '0,100,101', '研发部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (104, 101, '0,100,101', '市场部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (105, 101, '0,100,101', '测试部门', 3, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (106, 101, '0,100,101', '财务部门', 4, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (107, 101, '0,100,101', '运维部门', 5, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (108, 102, '0,100,102', '市场部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);
INSERT INTO `sys_dept` VALUES (109, 102, '0,100,102', '财务部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int(0) NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 102 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '字典数据表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (100, 1, '固定翼', '1', 'uavps_target_formation_type', NULL, 'default', 'N', '0', 'admin', '2025-03-27 11:08:38', 'admin', '2025-03-27 11:09:14', '目标集群类型固定翼');
INSERT INTO `sys_dict_data` VALUES (101, 2, '多旋翼', '2', 'uavps_target_formation_type', NULL, 'default', 'N', '0', 'admin', '2025-03-27 11:09:56', '', NULL, '目标集群类型多旋翼');
INSERT INTO `sys_dict_data` VALUES (102, 3, '其他', '3', 'uavps_target_formation_type', NULL, 'default', 'N', '0', 'admin', '2025-03-27 11:10:26', '', NULL, '目标集群类型其他');

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 100 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '字典类型表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2024-12-30 22:29:36', '', NULL, '登录状态列表');
INSERT INTO `sys_dict_type` VALUES (100, '目标集群类型', 'uavps_target_formation_type', '0', 'admin', '2025-03-27 11:07:24', '', NULL, '目标集群类型列表');

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '定时任务调度表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO `sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2024-12-30 22:29:36', '', NULL, '');
INSERT INTO `sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2024-12-30 22:29:36', '', NULL, '');
INSERT INTO `sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2024-12-30 22:29:36', '', NULL, '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '定时任务调度日志表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime(0) NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE,
  INDEX `idx_sys_logininfor_s`(`status`) USING BTREE,
  INDEX `idx_sys_logininfor_lt`(`login_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 456 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '系统访问记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------
INSERT INTO `sys_logininfor` VALUES (100, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', 'Unable to connect to Redis; nested exception is io.lettuce.core.RedisConnectionException: Unable to connect to localhost:6379', '2024-12-30 23:28:55');
INSERT INTO `sys_logininfor` VALUES (101, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', 'Unable to connect to Redis; nested exception is io.lettuce.core.RedisConnectionException: Unable to connect to localhost:6379', '2024-12-30 23:29:26');
INSERT INTO `sys_logininfor` VALUES (102, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', 'Unable to connect to Redis; nested exception is io.lettuce.core.RedisConnectionException: Unable to connect to localhost:6379', '2024-12-30 23:30:53');
INSERT INTO `sys_logininfor` VALUES (103, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', 'Unable to connect to Redis; nested exception is io.lettuce.core.RedisConnectionException: Unable to connect to localhost:6379', '2024-12-31 01:01:16');
INSERT INTO `sys_logininfor` VALUES (104, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', 'Unable to connect to Redis; nested exception is io.lettuce.core.RedisConnectionException: Unable to connect to localhost:6379', '2024-12-31 01:02:29');
INSERT INTO `sys_logininfor` VALUES (105, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', 'Unable to connect to Redis; nested exception is io.lettuce.core.RedisConnectionException: Unable to connect to localhost:6379', '2024-12-31 01:07:36');
INSERT INTO `sys_logininfor` VALUES (106, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-31 02:08:53');
INSERT INTO `sys_logininfor` VALUES (107, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2024-12-31 10:52:06');
INSERT INTO `sys_logininfor` VALUES (108, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-03 11:26:39');
INSERT INTO `sys_logininfor` VALUES (109, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-03 11:45:23');
INSERT INTO `sys_logininfor` VALUES (110, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-03 17:12:04');
INSERT INTO `sys_logininfor` VALUES (111, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-05 22:19:00');
INSERT INTO `sys_logininfor` VALUES (112, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-06 12:49:36');
INSERT INTO `sys_logininfor` VALUES (113, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-06 13:01:15');
INSERT INTO `sys_logininfor` VALUES (114, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-07 11:45:58');
INSERT INTO `sys_logininfor` VALUES (115, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-07 11:50:57');
INSERT INTO `sys_logininfor` VALUES (116, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-07 12:07:44');
INSERT INTO `sys_logininfor` VALUES (117, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2025-01-07 16:21:55');
INSERT INTO `sys_logininfor` VALUES (118, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-07 16:22:02');
INSERT INTO `sys_logininfor` VALUES (119, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 08:47:22');
INSERT INTO `sys_logininfor` VALUES (120, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-08 09:21:07');
INSERT INTO `sys_logininfor` VALUES (121, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 09:21:44');
INSERT INTO `sys_logininfor` VALUES (122, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 10:27:59');
INSERT INTO `sys_logininfor` VALUES (123, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 10:30:39');
INSERT INTO `sys_logininfor` VALUES (124, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 10:33:42');
INSERT INTO `sys_logininfor` VALUES (125, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 10:36:18');
INSERT INTO `sys_logininfor` VALUES (126, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 10:38:10');
INSERT INTO `sys_logininfor` VALUES (127, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 10:41:09');
INSERT INTO `sys_logininfor` VALUES (128, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-01-08 10:42:28');
INSERT INTO `sys_logininfor` VALUES (129, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 10:42:32');
INSERT INTO `sys_logininfor` VALUES (130, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 11:07:19');
INSERT INTO `sys_logininfor` VALUES (131, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-01-08 11:08:37');
INSERT INTO `sys_logininfor` VALUES (132, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 11:08:46');
INSERT INTO `sys_logininfor` VALUES (133, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 11:09:45');
INSERT INTO `sys_logininfor` VALUES (134, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 11:10:49');
INSERT INTO `sys_logininfor` VALUES (135, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 11:13:20');
INSERT INTO `sys_logininfor` VALUES (136, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 11:14:53');
INSERT INTO `sys_logininfor` VALUES (137, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 17:41:17');
INSERT INTO `sys_logininfor` VALUES (138, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-01-08 17:44:27');
INSERT INTO `sys_logininfor` VALUES (139, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-08 17:44:31');
INSERT INTO `sys_logininfor` VALUES (140, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-09 23:13:25');
INSERT INTO `sys_logininfor` VALUES (141, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-09 23:17:36');
INSERT INTO `sys_logininfor` VALUES (142, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-09 23:20:48');
INSERT INTO `sys_logininfor` VALUES (143, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-09 23:22:52');
INSERT INTO `sys_logininfor` VALUES (144, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-09 23:31:13');
INSERT INTO `sys_logininfor` VALUES (145, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-09 23:40:39');
INSERT INTO `sys_logininfor` VALUES (146, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-09 23:44:13');
INSERT INTO `sys_logininfor` VALUES (147, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-09 23:46:06');
INSERT INTO `sys_logininfor` VALUES (148, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-09 23:48:00');
INSERT INTO `sys_logininfor` VALUES (149, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-09 23:54:31');
INSERT INTO `sys_logininfor` VALUES (150, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-10 11:23:19');
INSERT INTO `sys_logininfor` VALUES (151, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-10 11:38:24');
INSERT INTO `sys_logininfor` VALUES (152, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-10 12:33:13');
INSERT INTO `sys_logininfor` VALUES (153, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-10 12:41:58');
INSERT INTO `sys_logininfor` VALUES (154, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-14 11:44:37');
INSERT INTO `sys_logininfor` VALUES (155, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-14 11:59:26');
INSERT INTO `sys_logininfor` VALUES (156, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-14 12:01:03');
INSERT INTO `sys_logininfor` VALUES (157, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-14 12:06:20');
INSERT INTO `sys_logininfor` VALUES (158, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-14 12:07:11');
INSERT INTO `sys_logininfor` VALUES (159, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-14 13:58:22');
INSERT INTO `sys_logininfor` VALUES (160, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-14 18:02:39');
INSERT INTO `sys_logininfor` VALUES (161, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-01-14 18:05:41');
INSERT INTO `sys_logininfor` VALUES (162, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-14 18:05:46');
INSERT INTO `sys_logininfor` VALUES (163, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-14 18:07:37');
INSERT INTO `sys_logininfor` VALUES (164, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-15 11:44:38');
INSERT INTO `sys_logininfor` VALUES (165, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-15 11:44:54');
INSERT INTO `sys_logininfor` VALUES (166, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-15 18:10:08');
INSERT INTO `sys_logininfor` VALUES (167, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-15 18:17:14');
INSERT INTO `sys_logininfor` VALUES (168, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2025-01-15 21:35:50');
INSERT INTO `sys_logininfor` VALUES (169, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-15 21:35:57');
INSERT INTO `sys_logininfor` VALUES (170, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-16 15:51:07');
INSERT INTO `sys_logininfor` VALUES (171, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-16 16:14:57');
INSERT INTO `sys_logininfor` VALUES (172, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-16 16:26:11');
INSERT INTO `sys_logininfor` VALUES (173, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-16 17:45:55');
INSERT INTO `sys_logininfor` VALUES (174, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-16 17:50:17');
INSERT INTO `sys_logininfor` VALUES (175, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-16 17:55:38');
INSERT INTO `sys_logininfor` VALUES (176, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-16 18:05:27');
INSERT INTO `sys_logininfor` VALUES (177, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-01-17 11:01:30');
INSERT INTO `sys_logininfor` VALUES (178, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-01-17 11:01:33');
INSERT INTO `sys_logininfor` VALUES (179, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 11:01:39');
INSERT INTO `sys_logininfor` VALUES (180, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 11:14:43');
INSERT INTO `sys_logininfor` VALUES (181, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 11:30:18');
INSERT INTO `sys_logininfor` VALUES (182, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 11:53:54');
INSERT INTO `sys_logininfor` VALUES (183, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 11:57:01');
INSERT INTO `sys_logininfor` VALUES (184, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 12:03:06');
INSERT INTO `sys_logininfor` VALUES (185, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-01-17 15:05:14');
INSERT INTO `sys_logininfor` VALUES (186, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 15:05:32');
INSERT INTO `sys_logininfor` VALUES (187, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 16:58:14');
INSERT INTO `sys_logininfor` VALUES (188, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-01-17 19:22:26');
INSERT INTO `sys_logininfor` VALUES (189, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 19:22:30');
INSERT INTO `sys_logininfor` VALUES (190, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 19:33:37');
INSERT INTO `sys_logininfor` VALUES (191, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码已失效', '2025-01-17 20:13:13');
INSERT INTO `sys_logininfor` VALUES (192, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 20:13:13');
INSERT INTO `sys_logininfor` VALUES (193, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 20:29:10');
INSERT INTO `sys_logininfor` VALUES (194, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 21:58:56');
INSERT INTO `sys_logininfor` VALUES (195, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 22:13:52');
INSERT INTO `sys_logininfor` VALUES (196, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-17 22:22:43');
INSERT INTO `sys_logininfor` VALUES (197, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 14:00:48');
INSERT INTO `sys_logininfor` VALUES (198, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 15:52:13');
INSERT INTO `sys_logininfor` VALUES (199, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 16:37:17');
INSERT INTO `sys_logininfor` VALUES (200, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 16:49:21');
INSERT INTO `sys_logininfor` VALUES (201, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 17:05:43');
INSERT INTO `sys_logininfor` VALUES (202, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 19:26:47');
INSERT INTO `sys_logininfor` VALUES (203, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-01-20 19:31:47');
INSERT INTO `sys_logininfor` VALUES (204, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 19:31:52');
INSERT INTO `sys_logininfor` VALUES (205, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 19:37:47');
INSERT INTO `sys_logininfor` VALUES (206, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 19:39:49');
INSERT INTO `sys_logininfor` VALUES (207, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 19:44:20');
INSERT INTO `sys_logininfor` VALUES (208, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 19:52:53');
INSERT INTO `sys_logininfor` VALUES (209, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 19:56:58');
INSERT INTO `sys_logininfor` VALUES (210, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 20:01:17');
INSERT INTO `sys_logininfor` VALUES (211, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 20:07:03');
INSERT INTO `sys_logininfor` VALUES (212, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 20:45:29');
INSERT INTO `sys_logininfor` VALUES (213, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-01-20 21:40:00');
INSERT INTO `sys_logininfor` VALUES (214, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 21:40:03');
INSERT INTO `sys_logininfor` VALUES (215, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 22:29:16');
INSERT INTO `sys_logininfor` VALUES (216, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-20 23:00:17');
INSERT INTO `sys_logininfor` VALUES (217, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-21 10:09:20');
INSERT INTO `sys_logininfor` VALUES (218, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-21 11:38:48');
INSERT INTO `sys_logininfor` VALUES (219, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-21 12:11:33');
INSERT INTO `sys_logininfor` VALUES (220, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-21 12:15:34');
INSERT INTO `sys_logininfor` VALUES (221, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-21 12:16:16');
INSERT INTO `sys_logininfor` VALUES (222, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-21 12:42:26');
INSERT INTO `sys_logininfor` VALUES (223, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-21 12:42:58');
INSERT INTO `sys_logininfor` VALUES (224, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-21 12:54:12');
INSERT INTO `sys_logininfor` VALUES (225, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-01-21 13:03:11');
INSERT INTO `sys_logininfor` VALUES (226, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-21 13:03:15');
INSERT INTO `sys_logininfor` VALUES (227, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-21 14:24:41');
INSERT INTO `sys_logininfor` VALUES (228, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-22 11:41:01');
INSERT INTO `sys_logininfor` VALUES (229, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-01-22 11:49:57');
INSERT INTO `sys_logininfor` VALUES (230, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-22 11:50:01');
INSERT INTO `sys_logininfor` VALUES (231, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-22 12:10:16');
INSERT INTO `sys_logininfor` VALUES (232, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-01-22 12:17:51');
INSERT INTO `sys_logininfor` VALUES (233, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-05 15:47:32');
INSERT INTO `sys_logininfor` VALUES (234, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-02-07 11:17:05');
INSERT INTO `sys_logininfor` VALUES (235, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-07 11:17:09');
INSERT INTO `sys_logininfor` VALUES (236, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-07 12:20:36');
INSERT INTO `sys_logininfor` VALUES (237, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-07 16:12:06');
INSERT INTO `sys_logininfor` VALUES (238, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-07 17:05:24');
INSERT INTO `sys_logininfor` VALUES (239, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-14 09:29:19');
INSERT INTO `sys_logininfor` VALUES (240, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-14 16:40:24');
INSERT INTO `sys_logininfor` VALUES (241, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-17 10:49:10');
INSERT INTO `sys_logininfor` VALUES (242, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-02-17 15:56:29');
INSERT INTO `sys_logininfor` VALUES (243, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-17 15:57:33');
INSERT INTO `sys_logininfor` VALUES (244, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-02-17 16:50:46');
INSERT INTO `sys_logininfor` VALUES (245, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-17 16:51:52');
INSERT INTO `sys_logininfor` VALUES (246, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-17 17:03:47');
INSERT INTO `sys_logininfor` VALUES (247, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-17 17:05:20');
INSERT INTO `sys_logininfor` VALUES (248, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-17 17:26:01');
INSERT INTO `sys_logininfor` VALUES (249, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-18 09:50:33');
INSERT INTO `sys_logininfor` VALUES (250, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-18 14:37:04');
INSERT INTO `sys_logininfor` VALUES (251, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-18 14:59:42');
INSERT INTO `sys_logininfor` VALUES (252, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-18 15:34:13');
INSERT INTO `sys_logininfor` VALUES (253, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-18 15:43:32');
INSERT INTO `sys_logininfor` VALUES (254, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-02-18 16:07:23');
INSERT INTO `sys_logininfor` VALUES (255, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-18 16:07:27');
INSERT INTO `sys_logininfor` VALUES (256, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-18 16:27:31');
INSERT INTO `sys_logininfor` VALUES (257, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 11:05:57');
INSERT INTO `sys_logininfor` VALUES (258, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 14:48:59');
INSERT INTO `sys_logininfor` VALUES (259, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 15:05:37');
INSERT INTO `sys_logininfor` VALUES (260, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 15:26:46');
INSERT INTO `sys_logininfor` VALUES (261, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 15:36:21');
INSERT INTO `sys_logininfor` VALUES (262, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 15:38:41');
INSERT INTO `sys_logininfor` VALUES (263, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 16:02:24');
INSERT INTO `sys_logininfor` VALUES (264, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 16:23:24');
INSERT INTO `sys_logininfor` VALUES (265, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 16:41:51');
INSERT INTO `sys_logininfor` VALUES (266, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 16:51:21');
INSERT INTO `sys_logininfor` VALUES (267, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 16:57:50');
INSERT INTO `sys_logininfor` VALUES (268, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 17:03:59');
INSERT INTO `sys_logininfor` VALUES (269, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 17:06:44');
INSERT INTO `sys_logininfor` VALUES (270, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 19:39:42');
INSERT INTO `sys_logininfor` VALUES (271, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 20:11:21');
INSERT INTO `sys_logininfor` VALUES (272, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-02-19 20:41:25');
INSERT INTO `sys_logininfor` VALUES (273, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 20:41:33');
INSERT INTO `sys_logininfor` VALUES (274, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-19 21:12:59');
INSERT INTO `sys_logininfor` VALUES (275, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-24 14:28:53');
INSERT INTO `sys_logininfor` VALUES (276, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-24 14:35:24');
INSERT INTO `sys_logininfor` VALUES (277, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-02-24 14:40:46');
INSERT INTO `sys_logininfor` VALUES (278, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-02-25 14:47:35');
INSERT INTO `sys_logininfor` VALUES (279, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-04 15:34:49');
INSERT INTO `sys_logininfor` VALUES (280, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-04 16:11:39');
INSERT INTO `sys_logininfor` VALUES (281, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-04 16:16:47');
INSERT INTO `sys_logininfor` VALUES (282, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-04 16:20:13');
INSERT INTO `sys_logininfor` VALUES (283, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-04 16:24:11');
INSERT INTO `sys_logininfor` VALUES (284, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-04 16:26:13');
INSERT INTO `sys_logininfor` VALUES (285, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-04 16:36:38');
INSERT INTO `sys_logininfor` VALUES (286, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-05 16:33:22');
INSERT INTO `sys_logininfor` VALUES (287, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-05 17:00:43');
INSERT INTO `sys_logininfor` VALUES (288, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-13 16:59:28');
INSERT INTO `sys_logininfor` VALUES (289, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-17 15:30:01');
INSERT INTO `sys_logininfor` VALUES (290, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2025-03-17 15:42:30');
INSERT INTO `sys_logininfor` VALUES (291, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-17 15:42:34');
INSERT INTO `sys_logininfor` VALUES (292, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-17 15:47:54');
INSERT INTO `sys_logininfor` VALUES (293, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-17 16:10:52');
INSERT INTO `sys_logininfor` VALUES (294, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-19 20:16:04');
INSERT INTO `sys_logininfor` VALUES (295, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-19 20:17:52');
INSERT INTO `sys_logininfor` VALUES (296, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-19 20:23:15');
INSERT INTO `sys_logininfor` VALUES (297, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-19 20:27:26');
INSERT INTO `sys_logininfor` VALUES (298, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-19 21:49:18');
INSERT INTO `sys_logininfor` VALUES (299, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-21 16:27:54');
INSERT INTO `sys_logininfor` VALUES (300, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-21 21:04:51');
INSERT INTO `sys_logininfor` VALUES (301, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-21 21:14:03');
INSERT INTO `sys_logininfor` VALUES (302, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-21 23:21:55');
INSERT INTO `sys_logininfor` VALUES (303, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-21 23:50:33');
INSERT INTO `sys_logininfor` VALUES (304, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-21 23:57:59');
INSERT INTO `sys_logininfor` VALUES (305, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 00:04:13');
INSERT INTO `sys_logininfor` VALUES (306, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 00:26:17');
INSERT INTO `sys_logininfor` VALUES (307, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 00:38:10');
INSERT INTO `sys_logininfor` VALUES (308, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 00:50:59');
INSERT INTO `sys_logininfor` VALUES (309, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 08:44:26');
INSERT INTO `sys_logininfor` VALUES (310, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-22 09:29:20');
INSERT INTO `sys_logininfor` VALUES (311, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 09:29:25');
INSERT INTO `sys_logininfor` VALUES (312, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 09:36:16');
INSERT INTO `sys_logininfor` VALUES (313, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 11:57:13');
INSERT INTO `sys_logininfor` VALUES (314, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 14:16:55');
INSERT INTO `sys_logininfor` VALUES (315, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 15:19:41');
INSERT INTO `sys_logininfor` VALUES (316, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-22 15:35:42');
INSERT INTO `sys_logininfor` VALUES (317, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 15:36:03');
INSERT INTO `sys_logininfor` VALUES (318, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 15:47:42');
INSERT INTO `sys_logininfor` VALUES (319, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 16:52:37');
INSERT INTO `sys_logininfor` VALUES (320, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 21:25:07');
INSERT INTO `sys_logininfor` VALUES (321, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 22:17:22');
INSERT INTO `sys_logininfor` VALUES (322, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-22 22:37:57');
INSERT INTO `sys_logininfor` VALUES (323, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-22 23:02:38');
INSERT INTO `sys_logininfor` VALUES (324, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-23 09:03:55');
INSERT INTO `sys_logininfor` VALUES (325, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2025-03-23 09:06:56');
INSERT INTO `sys_logininfor` VALUES (326, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-23 09:07:01');
INSERT INTO `sys_logininfor` VALUES (327, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-23 10:11:06');
INSERT INTO `sys_logininfor` VALUES (328, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-23 10:13:25');
INSERT INTO `sys_logininfor` VALUES (329, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2025-03-23 10:23:53');
INSERT INTO `sys_logininfor` VALUES (330, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-23 10:24:03');
INSERT INTO `sys_logininfor` VALUES (331, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-23 13:18:14');
INSERT INTO `sys_logininfor` VALUES (332, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-23 14:39:38');
INSERT INTO `sys_logininfor` VALUES (333, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-23 16:06:16');
INSERT INTO `sys_logininfor` VALUES (334, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-23 16:13:26');
INSERT INTO `sys_logininfor` VALUES (335, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-24 22:02:53');
INSERT INTO `sys_logininfor` VALUES (336, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2025-03-25 09:35:13');
INSERT INTO `sys_logininfor` VALUES (337, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-25 09:35:17');
INSERT INTO `sys_logininfor` VALUES (338, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2025-03-25 15:01:11');
INSERT INTO `sys_logininfor` VALUES (339, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-25 15:04:20');
INSERT INTO `sys_logininfor` VALUES (340, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-25 17:01:42');
INSERT INTO `sys_logininfor` VALUES (341, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-26 10:19:21');
INSERT INTO `sys_logininfor` VALUES (342, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-26 10:55:26');
INSERT INTO `sys_logininfor` VALUES (343, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-26 11:08:06');
INSERT INTO `sys_logininfor` VALUES (344, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-26 12:16:11');
INSERT INTO `sys_logininfor` VALUES (345, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-26 18:46:31');
INSERT INTO `sys_logininfor` VALUES (346, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-26 18:46:34');
INSERT INTO `sys_logininfor` VALUES (347, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '1', '验证码错误', '2025-03-26 22:11:26');
INSERT INTO `sys_logininfor` VALUES (348, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-26 22:11:29');
INSERT INTO `sys_logininfor` VALUES (349, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-27 10:00:49');
INSERT INTO `sys_logininfor` VALUES (350, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2025-03-27 10:42:43');
INSERT INTO `sys_logininfor` VALUES (351, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-27 10:42:47');
INSERT INTO `sys_logininfor` VALUES (352, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2025-03-27 10:44:07');
INSERT INTO `sys_logininfor` VALUES (353, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-27 10:44:11');
INSERT INTO `sys_logininfor` VALUES (354, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-27 10:45:21');
INSERT INTO `sys_logininfor` VALUES (355, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-27 10:51:24');
INSERT INTO `sys_logininfor` VALUES (356, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-27 11:10:55');
INSERT INTO `sys_logininfor` VALUES (357, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-27 11:23:10');
INSERT INTO `sys_logininfor` VALUES (358, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-27 11:44:58');
INSERT INTO `sys_logininfor` VALUES (359, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-27 16:11:48');
INSERT INTO `sys_logininfor` VALUES (360, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-27 20:12:57');
INSERT INTO `sys_logininfor` VALUES (361, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-27 20:15:36');
INSERT INTO `sys_logininfor` VALUES (362, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-27 20:15:43');
INSERT INTO `sys_logininfor` VALUES (363, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-27 20:17:30');
INSERT INTO `sys_logininfor` VALUES (364, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-27 20:23:49');
INSERT INTO `sys_logininfor` VALUES (365, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-27 20:23:54');
INSERT INTO `sys_logininfor` VALUES (366, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-27 23:37:08');
INSERT INTO `sys_logininfor` VALUES (367, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-27 23:46:23');
INSERT INTO `sys_logininfor` VALUES (368, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-27 23:48:15');
INSERT INTO `sys_logininfor` VALUES (369, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-28 09:27:02');
INSERT INTO `sys_logininfor` VALUES (370, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '退出成功', '2025-03-28 09:33:49');
INSERT INTO `sys_logininfor` VALUES (371, 'admin', '127.0.0.1', '内网IP', 'Chrome 13', 'Windows 10', '0', '登录成功', '2025-03-28 09:33:52');
INSERT INTO `sys_logininfor` VALUES (372, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 10:35:36');
INSERT INTO `sys_logininfor` VALUES (373, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 14:37:53');
INSERT INTO `sys_logininfor` VALUES (374, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 14:43:59');
INSERT INTO `sys_logininfor` VALUES (375, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 14:48:45');
INSERT INTO `sys_logininfor` VALUES (376, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 14:55:56');
INSERT INTO `sys_logininfor` VALUES (377, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 14:58:17');
INSERT INTO `sys_logininfor` VALUES (378, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 15:01:08');
INSERT INTO `sys_logininfor` VALUES (379, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 15:04:31');
INSERT INTO `sys_logininfor` VALUES (380, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-28 15:10:14');
INSERT INTO `sys_logininfor` VALUES (381, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 15:10:19');
INSERT INTO `sys_logininfor` VALUES (382, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 15:18:47');
INSERT INTO `sys_logininfor` VALUES (383, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 15:24:52');
INSERT INTO `sys_logininfor` VALUES (384, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 16:12:31');
INSERT INTO `sys_logininfor` VALUES (385, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 17:01:04');
INSERT INTO `sys_logininfor` VALUES (386, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 17:02:34');
INSERT INTO `sys_logininfor` VALUES (387, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 17:36:12');
INSERT INTO `sys_logininfor` VALUES (388, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 17:38:10');
INSERT INTO `sys_logininfor` VALUES (389, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 18:19:22');
INSERT INTO `sys_logininfor` VALUES (390, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 20:45:49');
INSERT INTO `sys_logininfor` VALUES (391, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 21:28:07');
INSERT INTO `sys_logininfor` VALUES (392, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 21:42:15');
INSERT INTO `sys_logininfor` VALUES (393, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-28 22:29:42');
INSERT INTO `sys_logininfor` VALUES (394, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-28 22:29:46');
INSERT INTO `sys_logininfor` VALUES (395, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 17:05:20');
INSERT INTO `sys_logininfor` VALUES (396, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 17:18:59');
INSERT INTO `sys_logininfor` VALUES (397, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 17:37:17');
INSERT INTO `sys_logininfor` VALUES (398, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-29 20:26:49');
INSERT INTO `sys_logininfor` VALUES (399, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 20:26:53');
INSERT INTO `sys_logininfor` VALUES (400, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-29 20:28:47');
INSERT INTO `sys_logininfor` VALUES (401, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 20:28:57');
INSERT INTO `sys_logininfor` VALUES (402, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-29 20:32:23');
INSERT INTO `sys_logininfor` VALUES (403, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 20:32:35');
INSERT INTO `sys_logininfor` VALUES (404, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-29 20:34:16');
INSERT INTO `sys_logininfor` VALUES (405, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 20:34:18');
INSERT INTO `sys_logininfor` VALUES (406, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-29 20:44:13');
INSERT INTO `sys_logininfor` VALUES (407, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 20:44:17');
INSERT INTO `sys_logininfor` VALUES (408, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-29 20:45:50');
INSERT INTO `sys_logininfor` VALUES (409, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 20:45:54');
INSERT INTO `sys_logininfor` VALUES (410, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-29 20:47:53');
INSERT INTO `sys_logininfor` VALUES (411, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 20:48:02');
INSERT INTO `sys_logininfor` VALUES (412, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 22:44:20');
INSERT INTO `sys_logininfor` VALUES (413, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 22:54:48');
INSERT INTO `sys_logininfor` VALUES (414, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 22:59:02');
INSERT INTO `sys_logininfor` VALUES (415, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 23:03:49');
INSERT INTO `sys_logininfor` VALUES (416, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-29 23:17:17');
INSERT INTO `sys_logininfor` VALUES (417, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-29 23:17:21');
INSERT INTO `sys_logininfor` VALUES (418, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 00:06:44');
INSERT INTO `sys_logininfor` VALUES (419, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 00:11:27');
INSERT INTO `sys_logininfor` VALUES (420, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 00:18:01');
INSERT INTO `sys_logininfor` VALUES (421, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 00:20:23');
INSERT INTO `sys_logininfor` VALUES (422, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 00:22:09');
INSERT INTO `sys_logininfor` VALUES (423, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 00:45:02');
INSERT INTO `sys_logininfor` VALUES (424, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 00:50:08');
INSERT INTO `sys_logininfor` VALUES (425, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 01:03:38');
INSERT INTO `sys_logininfor` VALUES (426, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 01:38:05');
INSERT INTO `sys_logininfor` VALUES (427, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 01:41:43');
INSERT INTO `sys_logininfor` VALUES (428, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 01:44:42');
INSERT INTO `sys_logininfor` VALUES (429, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 02:00:38');
INSERT INTO `sys_logininfor` VALUES (430, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 02:08:47');
INSERT INTO `sys_logininfor` VALUES (431, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 02:11:13');
INSERT INTO `sys_logininfor` VALUES (432, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-30 02:12:42');
INSERT INTO `sys_logininfor` VALUES (433, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 02:12:46');
INSERT INTO `sys_logininfor` VALUES (434, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 02:20:53');
INSERT INTO `sys_logininfor` VALUES (435, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 02:23:04');
INSERT INTO `sys_logininfor` VALUES (436, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-30 02:26:13');
INSERT INTO `sys_logininfor` VALUES (437, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 02:26:18');
INSERT INTO `sys_logininfor` VALUES (438, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 02:30:22');
INSERT INTO `sys_logininfor` VALUES (439, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '1', '验证码错误', '2025-03-30 02:47:28');
INSERT INTO `sys_logininfor` VALUES (440, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 02:49:59');
INSERT INTO `sys_logininfor` VALUES (441, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 10:44:08');
INSERT INTO `sys_logininfor` VALUES (442, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-30 10:49:51');
INSERT INTO `sys_logininfor` VALUES (443, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 10:49:55');
INSERT INTO `sys_logininfor` VALUES (444, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 11:05:23');
INSERT INTO `sys_logininfor` VALUES (445, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-30 14:45:55');
INSERT INTO `sys_logininfor` VALUES (446, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 14:45:59');
INSERT INTO `sys_logininfor` VALUES (447, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 14:57:31');
INSERT INTO `sys_logininfor` VALUES (448, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 15:36:18');
INSERT INTO `sys_logininfor` VALUES (449, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 16:31:53');
INSERT INTO `sys_logininfor` VALUES (450, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2025-03-30 16:38:00');
INSERT INTO `sys_logininfor` VALUES (451, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 16:38:04');
INSERT INTO `sys_logininfor` VALUES (452, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 16:41:12');
INSERT INTO `sys_logininfor` VALUES (453, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 17:50:52');
INSERT INTO `sys_logininfor` VALUES (454, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 17:53:27');
INSERT INTO `sys_logininfor` VALUES (455, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 20:09:50');
INSERT INTO `sys_logininfor` VALUES (456, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2025-03-30 21:02:28');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(0) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(0) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '路由参数',
  `route_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '路由名称',
  `is_frame` int(0) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(0) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2002 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '菜单权限表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 4, 'system', NULL, '', '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-12-30 22:29:35', 'admin', '2025-01-08 17:03:41', '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 0, 5, 'monitor', NULL, '', '', 1, 0, 'M', '0', '0', '', 'monitor', 'admin', '2024-12-30 22:29:35', 'admin', '2025-01-08 17:03:49', '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 0, 6, 'tool', NULL, '', '', 1, 0, 'M', '0', '0', '', 'tool', 'admin', '2024-12-30 22:29:35', 'admin', '2025-01-08 17:04:09', '系统工具目录');
INSERT INTO `sys_menu` VALUES (4, '若依官网', 0, 7, 'http://ruoyi.vip', NULL, '', '', 0, 0, 'M', '0', '1', '', 'guide', 'admin', '2024-12-30 22:29:35', 'admin', '2025-01-08 17:04:51', '若依官网地址');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2024-12-30 22:29:35', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', '', 1, 0, 'C', '0', '0', 'system:role:list', 'peoples', 'admin', '2024-12-30 22:29:35', '', NULL, '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2024-12-30 22:29:35', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', '', 1, 0, 'C', '0', '0', 'system:dept:list', 'tree', 'admin', '2024-12-30 22:29:35', '', NULL, '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', '', 1, 0, 'C', '0', '0', 'system:post:list', 'post', 'admin', '2024-12-30 22:29:35', '', NULL, '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', '', 1, 0, 'C', '0', '0', 'system:dict:list', 'dict', 'admin', '2024-12-30 22:29:35', '', NULL, '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2024-12-30 22:29:35', '', NULL, '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', '', 1, 0, 'C', '0', '0', 'system:notice:list', 'message', 'admin', '2024-12-30 22:29:35', '', NULL, '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2024-12-30 22:29:35', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2024-12-30 22:29:35', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2024-12-30 22:29:35', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2024-12-30 22:29:35', '', NULL, '数据监控菜单');
INSERT INTO `sys_menu` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2024-12-30 22:29:35', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu` VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2024-12-30 22:29:35', '', NULL, '缓存监控菜单');
INSERT INTO `sys_menu` VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2024-12-30 22:29:35', '', NULL, '缓存列表菜单');
INSERT INTO `sys_menu` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2024-12-30 22:29:35', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2024-12-30 22:29:35', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2024-12-30 22:29:35', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2024-12-30 22:29:35', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2024-12-30 22:29:35', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, '用户查询', 100, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, '用户新增', 100, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户修改', 100, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户删除', 100, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户导出', 100, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导入', 100, 6, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '重置密码', 100, 7, '', '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '角色查询', 101, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色新增', 101, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色修改', 101, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色删除', 101, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色导出', 101, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '菜单查询', 102, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单新增', 102, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单修改', 102, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单删除', 102, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '部门查询', 103, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '部门新增', 103, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '部门修改', 103, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '部门删除', 103, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '岗位查询', 104, 1, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位新增', 104, 2, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位修改', 104, 3, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位删除', 104, 4, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位导出', 104, 5, '', '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '日志导出', 500, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '登录查询', 501, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录删除', 501, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '日志导出', 501, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '账户解锁', 501, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '任务导出', 110, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '生成查询', 116, 1, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '生成修改', 116, 2, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成删除', 116, 3, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '导入代码', 116, 4, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '预览代码', 116, 5, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '生成代码', 116, 6, '#', '', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_menu` VALUES (2000, '任务管理', 0, 3, 'parameter', 'uavps/parameter/index', NULL, '', 1, 0, 'C', '0', '0', 'uavps:parameter:list', 'dict', 'admin', '2025-01-08 16:56:31', 'admin', '2025-03-27 10:44:02', '');
INSERT INTO `sys_menu` VALUES (2001, '多目标集群', 0, 1, 'formation', 'uavps/formation/index', NULL, '', 1, 0, 'C', '1', '0', 'uavps:formation:list', 'list', 'admin', '2025-01-08 17:02:16', 'admin', '2025-03-27 10:03:17', '');
INSERT INTO `sys_menu` VALUES (2002, '平台无人机', 0, 2, 'uav', 'uavps/uav/index', NULL, '', 1, 0, 'C', '1', '0', 'uavps:uav:list', 'guide', 'admin', '2025-01-08 17:03:04', 'admin', '2025-03-27 10:03:33', '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int(0) NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '通知公告表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 若依新版本发布啦', '2', 0xE696B0E78988E69CACE58685E5AEB9, '0', 'admin', '2024-12-30 22:29:36', '', NULL, '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 若依系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 'admin', '2024-12-30 22:29:36', '', NULL, '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int(0) NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(200) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int(0) NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int(0) NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime(0) NULL DEFAULT NULL COMMENT '操作时间',
  `cost_time` bigint(0) NULL DEFAULT 0 COMMENT '消耗时间',
  PRIMARY KEY (`oper_id`) USING BTREE,
  INDEX `idx_sys_oper_log_bt`(`business_type`) USING BTREE,
  INDEX `idx_sys_oper_log_s`(`status`) USING BTREE,
  INDEX `idx_sys_oper_log_ot`(`oper_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 197 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '操作日志记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO `sys_oper_log` VALUES (100, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"dict\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"任务管理\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"system\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 16:56:31', 40);
INSERT INTO `sys_oper_log` VALUES (101, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-30 22:29:35\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 16:56:44', 30);
INSERT INTO `sys_oper_log` VALUES (102, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-30 22:29:35\",\"icon\":\"monitor\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2,\"menuName\":\"系统监控\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"monitor\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 16:56:58', 11);
INSERT INTO `sys_oper_log` VALUES (103, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-30 22:29:35\",\"icon\":\"tool\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"系统工具\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"tool\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 16:57:04', 22);
INSERT INTO `sys_oper_log` VALUES (104, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-30 22:29:35\",\"icon\":\"guide\",\"isCache\":\"0\",\"isFrame\":\"0\",\"menuId\":4,\"menuName\":\"若依官网\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"http://ruoyi.vip\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 16:57:08', 29);
INSERT INTO `sys_oper_log` VALUES (105, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"list\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"多目标集群\",\"menuType\":\"M\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"system\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 17:02:16', 43);
INSERT INTO `sys_oper_log` VALUES (106, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createBy\":\"admin\",\"icon\":\"guide\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuName\":\"平台无人机\",\"menuType\":\"M\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"system\",\"status\":\"0\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 17:03:04', 24);
INSERT INTO `sys_oper_log` VALUES (107, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2025-01-08 16:56:31\",\"icon\":\"dict\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2000,\"menuName\":\"任务管理\",\"menuType\":\"M\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 17:03:22', 18);
INSERT INTO `sys_oper_log` VALUES (108, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-30 22:29:35\",\"icon\":\"system\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":1,\"menuName\":\"系统管理\",\"menuType\":\"M\",\"orderNum\":4,\"params\":{},\"parentId\":0,\"path\":\"system\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 17:03:41', 12);
INSERT INTO `sys_oper_log` VALUES (109, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-30 22:29:35\",\"icon\":\"monitor\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2,\"menuName\":\"系统监控\",\"menuType\":\"M\",\"orderNum\":5,\"params\":{},\"parentId\":0,\"path\":\"monitor\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 17:03:49', 24);
INSERT INTO `sys_oper_log` VALUES (110, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-30 22:29:35\",\"icon\":\"tool\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":3,\"menuName\":\"系统工具\",\"menuType\":\"M\",\"orderNum\":6,\"params\":{},\"parentId\":0,\"path\":\"tool\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 17:04:09', 18);
INSERT INTO `sys_oper_log` VALUES (111, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-30 22:29:35\",\"icon\":\"guide\",\"isCache\":\"0\",\"isFrame\":\"0\",\"menuId\":4,\"menuName\":\"若依官网\",\"menuType\":\"M\",\"orderNum\":7,\"params\":{},\"parentId\":0,\"path\":\"http://ruoyi.vip\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 17:04:18', 29);
INSERT INTO `sys_oper_log` VALUES (112, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/4', '127.0.0.1', '内网IP', '4', '{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}', 0, NULL, '2025-01-08 17:04:40', 63);
INSERT INTO `sys_oper_log` VALUES (113, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"createTime\":\"2024-12-30 22:29:35\",\"icon\":\"guide\",\"isCache\":\"0\",\"isFrame\":\"0\",\"menuId\":4,\"menuName\":\"若依官网\",\"menuType\":\"M\",\"orderNum\":7,\"params\":{},\"parentId\":0,\"path\":\"http://ruoyi.vip\",\"perms\":\"\",\"query\":\"\",\"routeName\":\"\",\"status\":\"1\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-08 17:04:52', 19);
INSERT INTO `sys_oper_log` VALUES (114, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/4', '127.0.0.1', '内网IP', '4', '{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}', 0, NULL, '2025-01-08 17:04:55', 8);
INSERT INTO `sys_oper_log` VALUES (115, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/4', '127.0.0.1', '内网IP', '4', '{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}', 0, NULL, '2025-01-08 17:05:16', 8);
INSERT INTO `sys_oper_log` VALUES (116, '代码生成', 6, 'com.uavps.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"uavps_aircraft\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-01-16 16:38:06', 311);
INSERT INTO `sys_oper_log` VALUES (117, '代码生成', 8, 'com.uavps.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"uavps_aircraft\"}', NULL, 0, NULL, '2025-01-16 16:38:11', 833);
INSERT INTO `sys_oper_log` VALUES (118, '菜单管理', 3, 'com.uavps.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '研发部门', '/system/menu/4', '127.0.0.1', '内网IP', '4', '{\"msg\":\"菜单已分配,不允许删除\",\"code\":601}', 0, NULL, '2025-02-05 15:52:00', 47);
INSERT INTO `sys_oper_log` VALUES (119, '菜单管理', 2, 'com.uavps.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"uavps/colony/index\",\"createTime\":\"2025-01-08 17:02:16\",\"icon\":\"list\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"多目标集群\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"colony\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-05 20:04:19', 40);
INSERT INTO `sys_oper_log` VALUES (120, '菜单管理', 2, 'com.uavps.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"uavps/uav/index\",\"createTime\":\"2025-01-08 17:03:04\",\"icon\":\"guide\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2002,\"menuName\":\"平台无人机\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"uav\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-05 20:04:53', 14);
INSERT INTO `sys_oper_log` VALUES (121, '菜单管理', 2, 'com.uavps.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"uavps/task/index\",\"createTime\":\"2025-01-08 16:56:31\",\"icon\":\"dict\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2000,\"menuName\":\"任务管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"task\",\"perms\":\"\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-05 20:05:18', 23);
INSERT INTO `sys_oper_log` VALUES (122, '菜单管理', 2, 'com.uavps.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"uavps/colony/index\",\"createTime\":\"2025-01-08 17:02:16\",\"icon\":\"list\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"多目标集群\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"colony\",\"perms\":\"uavps:colony:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-05 20:33:11', 64);
INSERT INTO `sys_oper_log` VALUES (123, '菜单管理', 2, 'com.uavps.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"uavps/uav/index\",\"createTime\":\"2025-01-08 17:03:04\",\"icon\":\"guide\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2002,\"menuName\":\"平台无人机\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"uav\",\"perms\":\"uavps:uav:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-05 20:33:31', 13);
INSERT INTO `sys_oper_log` VALUES (124, '菜单管理', 2, 'com.uavps.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"uavps/task/index\",\"createTime\":\"2025-01-08 16:56:31\",\"icon\":\"dict\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2000,\"menuName\":\"任务管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"task\",\"perms\":\"uavps:task:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-05 20:33:49', 66);
INSERT INTO `sys_oper_log` VALUES (125, '代码生成', 6, 'com.uavps.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"uavps_unmanned_aerial_vehicle,uavps_multi_target_formation\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-07 16:13:49', 249);
INSERT INTO `sys_oper_log` VALUES (126, '代码生成', 8, 'com.uavps.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"uavps_multi_target_formation\"}', NULL, 0, NULL, '2025-02-07 16:14:18', 802);
INSERT INTO `sys_oper_log` VALUES (127, '代码生成', 8, 'com.uavps.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"uavps_unmanned_aerial_vehicle\"}', NULL, 0, NULL, '2025-02-07 16:14:22', 142);
INSERT INTO `sys_oper_log` VALUES (128, '菜单管理', 2, 'com.uavps.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"uavps/formation/index\",\"createTime\":\"2025-01-08 17:02:16\",\"icon\":\"list\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"多目标集群\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"formation\",\"perms\":\"uavps:formation:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-07 17:06:03', 60);
INSERT INTO `sys_oper_log` VALUES (129, '无人机信息', 5, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.export()', 'POST', 1, 'admin', '研发部门', '/uavps/uav/export', '127.0.0.1', '内网IP', '{\"pageSize\":\"10\",\"pageNum\":\"1\"}', NULL, 0, NULL, '2025-02-07 17:12:42', 2387);
INSERT INTO `sys_oper_log` VALUES (130, '多目标集群信息', 1, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.add()', 'POST', 1, 'admin', '研发部门', '/uavps/formation', '127.0.0.1', '内网IP', '{\"createTime\":\"2025-02-14 09:38:26\",\"followAircraftDistance\":3,\"formationAircraftCount\":3,\"formationShape\":\"线性\",\"initialPositionX\":120,\"initialPositionY\":130,\"initialPositionZ\":0,\"leadAircraftSpeed\":3,\"params\":{},\"positionNoise\":20}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLException: Field \'aircraft_type\' doesn\'t have a default value\r\n### The error may exist in file [D:\\IdeaWorkSpace\\UavPs\\uavps-system\\target\\classes\\mapper\\system\\UavpsMultiTargetFormationMapper.xml]\r\n### The error may involve com.uavps.system.mapper.UavpsMultiTargetFormationMapper.insertUavpsMultiTargetFormation-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into uavps_multi_target_formation          ( formation_aircraft_count,             lead_aircraft_speed,             initial_position_x,             initial_position_y,             initial_position_z,                          position_noise,             formation_shape,             follow_aircraft_distance,                          create_time )           values ( ?,             ?,             ?,             ?,             ?,                          ?,             ?,             ?,                          ? )\r\n### Cause: java.sql.SQLException: Field \'aircraft_type\' doesn\'t have a default value\n; Field \'aircraft_type\' doesn\'t have a default value; nested exception is java.sql.SQLException: Field \'aircraft_type\' doesn\'t have a default value', '2025-02-14 09:38:27', 871);
INSERT INTO `sys_oper_log` VALUES (131, '多目标集群信息', 1, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.add()', 'POST', 1, 'admin', '研发部门', '/uavps/formation', '127.0.0.1', '内网IP', '{\"aircraftType\":\"固定翼无人机\",\"createTime\":\"2025-02-14 09:58:27\",\"flightPathType\":\"直线\",\"followAircraftDistance\":3,\"formationAircraftCount\":3,\"formationShape\":\"V\",\"id\":1,\"initialPositionX\":123,\"initialPositionY\":152,\"initialPositionZ\":0,\"leadAircraftSpeed\":3,\"params\":{},\"positionNoise\":18.20}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-14 09:58:28', 178);
INSERT INTO `sys_oper_log` VALUES (132, '多目标集群信息', 2, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.edit()', 'PUT', 1, 'admin', '研发部门', '/uavps/formation', '127.0.0.1', '内网IP', '{\"aircraftType\":\"固定翼无人机\",\"createTime\":\"2025-02-14 09:58:28\",\"flightPathType\":\"直线\",\"followAircraftDistance\":3,\"formationAircraftCount\":3,\"formationShape\":\"V\",\"id\":1,\"initialPositionX\":123.00,\"initialPositionY\":152.00,\"initialPositionZ\":0,\"leadAircraftSpeed\":3,\"params\":{},\"positionNoise\":18.2,\"updateTime\":\"2025-02-14 10:12:32\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-14 10:12:32', 20);
INSERT INTO `sys_oper_log` VALUES (133, '多目标集群信息', 5, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.export()', 'POST', 1, 'admin', '研发部门', '/uavps/formation/export', '127.0.0.1', '内网IP', '{\"pageSize\":\"10\",\"pageNum\":\"1\"}', NULL, 0, NULL, '2025-02-14 10:19:27', 5574);
INSERT INTO `sys_oper_log` VALUES (134, '无人机信息', 1, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.add()', 'POST', 1, 'admin', '研发部门', '/uavps/uav', '127.0.0.1', '内网IP', '{\"createTime\":\"2025-02-14 10:26:46\",\"id\":1,\"initialPoseX\":36.3,\"initialPoseY\":596.3,\"initialPoseZ\":0,\"initialPositionX\":123.1,\"initialPositionY\":263.32,\"initialPositionZ\":0.00,\"initialSpeed\":3,\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-14 10:26:46', 36);
INSERT INTO `sys_oper_log` VALUES (135, '无人机信息', 2, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.edit()', 'PUT', 1, 'admin', '研发部门', '/uavps/uav', '127.0.0.1', '内网IP', '{\"createTime\":\"2025-02-14 10:26:47\",\"id\":1,\"initialPoseX\":36.32,\"initialPoseY\":596.13,\"initialPoseZ\":0,\"initialPositionX\":123.1,\"initialPositionY\":263.32,\"initialPositionZ\":0,\"initialSpeed\":3,\"params\":{},\"updateTime\":\"2025-02-14 10:27:07\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-14 10:27:07', 58);
INSERT INTO `sys_oper_log` VALUES (136, '无人机信息', 5, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.export()', 'POST', 1, 'admin', '研发部门', '/uavps/uav/export', '127.0.0.1', '内网IP', '{\"pageSize\":\"10\",\"pageNum\":\"1\"}', NULL, 0, NULL, '2025-02-14 16:40:47', 3648);
INSERT INTO `sys_oper_log` VALUES (137, '无人机信息', 1, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.add()', 'POST', 1, 'admin', '研发部门', '/uavps/uav', '127.0.0.1', '内网IP', '{\"createTime\":\"2025-02-18 14:37:48\",\"id\":1,\"initialPoseX\":0.00,\"initialPoseY\":0.00,\"initialPoseZ\":0.00,\"initialPositionX\":0.00,\"initialPositionY\":0.00,\"initialPositionZ\":0.00,\"initialSpeed\":20,\"name\":\"无人机1号\",\"params\":{}}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-18 14:37:48', 124);
INSERT INTO `sys_oper_log` VALUES (138, '无人机信息', 2, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.edit()', 'PUT', 1, 'admin', '研发部门', '/uavps/uav', '127.0.0.1', '内网IP', '{\"createTime\":\"2025-02-18 14:37:48\",\"id\":1,\"initialPoseX\":0,\"initialPoseY\":0,\"initialPoseZ\":0,\"initialPositionX\":0,\"initialPositionY\":0,\"initialPositionZ\":0,\"initialSpeed\":20,\"name\":\"无人机0号\",\"params\":{},\"updateTime\":\"2025-02-18 14:39:12\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-18 14:39:12', 33);
INSERT INTO `sys_oper_log` VALUES (139, '无人机信息', 5, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.export()', 'POST', 1, 'admin', '研发部门', '/uavps/uav/export', '127.0.0.1', '内网IP', '{\"pageSize\":\"10\",\"pageNum\":\"1\"}', NULL, 0, NULL, '2025-02-18 14:42:29', 4880);
INSERT INTO `sys_oper_log` VALUES (140, '多目标集群信息', 1, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.add()', 'POST', 1, 'admin', '研发部门', '/uavps/formation', '127.0.0.1', '内网IP', '{\"aircraftType\":\"固定翼无人机\",\"createTime\":\"2025-02-18 15:03:22\",\"flightPathType\":\"直线\",\"followAircraftDistance\":5,\"formationAircraftCount\":20,\"formationShape\":\"V\",\"id\":1,\"initialPositionX\":0,\"initialPositionY\":0,\"initialPositionZ\":0,\"leadAircraftSpeed\":20,\"name\":\"集群1\",\"params\":{},\"positionNoise\":12.2}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-18 15:03:22', 90);
INSERT INTO `sys_oper_log` VALUES (141, '多目标集群信息', 2, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.edit()', 'PUT', 1, 'admin', '研发部门', '/uavps/formation', '127.0.0.1', '内网IP', '{\"aircraftType\":\"固定翼无人机\",\"createTime\":\"2025-02-18 15:03:22\",\"flightPathType\":\"直线\",\"followAircraftDistance\":5,\"formationAircraftCount\":20,\"formationShape\":\"V\",\"id\":1,\"initialPositionX\":0,\"initialPositionY\":0,\"initialPositionZ\":0,\"leadAircraftSpeed\":20,\"name\":\"集群0\",\"params\":{},\"positionNoise\":12.2,\"updateTime\":\"2025-02-18 15:04:07\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-18 15:04:07', 55);
INSERT INTO `sys_oper_log` VALUES (142, '多目标集群信息', 5, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.export()', 'POST', 1, 'admin', '研发部门', '/uavps/formation/export', '127.0.0.1', '内网IP', '{\"pageSize\":\"10\",\"pageNum\":\"1\"}', NULL, 0, NULL, '2025-02-18 15:04:19', 4799);
INSERT INTO `sys_oper_log` VALUES (143, '多目标集群信息', 6, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.importData()', 'POST', 1, 'admin', '研发部门', '/uavps/formation/importData', '127.0.0.1', '内网IP', '{\"updateSupport\":\"true\"}', '{\"msg\":\"\",\"code\":200}', 0, NULL, '2025-02-18 15:37:20', 486);
INSERT INTO `sys_oper_log` VALUES (144, '多目标集群信息', 6, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.importData()', 'POST', 1, 'admin', '研发部门', '/uavps/formation/importData', '127.0.0.1', '内网IP', '{\"updateSupport\":\"true\"}', '{\"msg\":\"恭喜您，数据已全部导入成功！共 2 条，数据如下：<br/>1、名称 集群0 更新成功<br/>2、名称 集群1 导入成功\",\"code\":200}', 0, NULL, '2025-02-18 15:44:45', 2745);
INSERT INTO `sys_oper_log` VALUES (145, '多目标集群信息', 3, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.remove()', 'DELETE', 1, 'admin', '研发部门', '/uavps/formation/1,2', '127.0.0.1', '内网IP', '[1,2]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-18 15:45:25', 119);
INSERT INTO `sys_oper_log` VALUES (146, '多目标集群信息', 6, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.importData()', 'POST', 1, 'admin', '研发部门', '/uavps/formation/importData', '127.0.0.1', '内网IP', '{\"updateSupport\":\"true\"}', '{\"msg\":\"恭喜您，数据已全部导入成功！共 2 条，数据如下：<br/>1、名称 集群0 导入成功<br/>2、名称 集群1 导入成功\",\"code\":200}', 0, NULL, '2025-02-18 15:45:38', 112);
INSERT INTO `sys_oper_log` VALUES (147, '多目标集群信息', 5, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.export()', 'POST', 1, 'admin', '研发部门', '/uavps/formation/export', '127.0.0.1', '内网IP', '{\"pageSize\":\"10\",\"pageNum\":\"1\"}', NULL, 0, NULL, '2025-02-18 15:46:01', 883);
INSERT INTO `sys_oper_log` VALUES (148, '无人机信息', 6, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.importData()', 'POST', 1, 'admin', '研发部门', '/uavps/uav/importData', '127.0.0.1', '内网IP', '{\"updateSupport\":\"true\"}', '{\"msg\":\"恭喜您，数据已全部导入成功！共 2 条，数据如下：<br/>1、名称 无人机0号 更新成功<br/>2、名称 无人机1号 导入成功\",\"code\":200}', 0, NULL, '2025-02-18 16:12:03', 762);
INSERT INTO `sys_oper_log` VALUES (149, '无人机信息', 3, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.remove()', 'DELETE', 1, 'admin', '研发部门', '/uavps/uav/1,2', '127.0.0.1', '内网IP', '[1,2]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-18 16:14:43', 55);
INSERT INTO `sys_oper_log` VALUES (150, '无人机信息', 6, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.importData()', 'POST', 1, 'admin', '研发部门', '/uavps/uav/importData', '127.0.0.1', '内网IP', '{\"updateSupport\":\"true\"}', '{\"msg\":\"恭喜您，数据已全部导入成功！共 2 条，数据如下：<br/>1、名称 无人机0号 导入成功<br/>2、名称 无人机1号 导入成功\",\"code\":200}', 0, NULL, '2025-02-18 16:14:51', 117);
INSERT INTO `sys_oper_log` VALUES (151, '多目标集群信息', 3, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.remove()', 'DELETE', 1, 'admin', '研发部门', '/uavps/formation/3,4', '127.0.0.1', '内网IP', '[3,4]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-18 16:27:48', 99);
INSERT INTO `sys_oper_log` VALUES (152, '多目标集群信息', 6, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.importData()', 'POST', 1, 'admin', '研发部门', '/uavps/formation/importData', '127.0.0.1', '内网IP', '{\"updateSupport\":\"true\"}', '{\"msg\":\"恭喜您，数据已全部导入成功！共 2 条，数据如下：<br/>1、名称 集群0 导入成功<br/>2、名称 集群1 导入成功\",\"code\":200}', 0, NULL, '2025-02-18 16:28:00', 2766);
INSERT INTO `sys_oper_log` VALUES (153, '多目标集群信息', 6, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.importData()', 'POST', 1, 'admin', '研发部门', '/uavps/formation/importData', '127.0.0.1', '内网IP', '{\"updateSupport\":\"true\"}', '{\"msg\":\"恭喜您，数据已全部导入成功！共 2 条，数据如下：<br/>1、名称 集群0 更新成功<br/>2、名称 集群1 更新成功\",\"code\":200}', 0, NULL, '2025-02-18 16:28:29', 122);
INSERT INTO `sys_oper_log` VALUES (154, '无人机信息', 3, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.remove()', 'DELETE', 1, 'admin', '研发部门', '/uavps/uav/3,4', '127.0.0.1', '内网IP', '[3,4]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-18 16:29:12', 9);
INSERT INTO `sys_oper_log` VALUES (155, '无人机信息', 6, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.importData()', 'POST', 1, 'admin', '研发部门', '/uavps/uav/importData', '127.0.0.1', '内网IP', '{\"updateSupport\":\"true\"}', '{\"msg\":\"恭喜您，数据已全部导入成功！共 2 条，数据如下：<br/>1、名称 无人机0号 导入成功<br/>2、名称 无人机1号 导入成功\",\"code\":200}', 0, NULL, '2025-02-18 16:29:21', 58);
INSERT INTO `sys_oper_log` VALUES (156, '无人机信息', 6, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.importData()', 'POST', 1, 'admin', '研发部门', '/uavps/uav/importData', '127.0.0.1', '内网IP', '{\"updateSupport\":\"true\"}', '{\"msg\":\"恭喜您，数据已全部导入成功！共 2 条，数据如下：<br/>1、名称 无人机0号 更新成功<br/>2、名称 无人机1号 更新成功\",\"code\":200}', 0, NULL, '2025-02-18 16:29:42', 91);
INSERT INTO `sys_oper_log` VALUES (157, '代码生成', 6, 'com.uavps.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"uavps_algorithm_task_formation,uavps_algorithm_task\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-18 17:13:22', 179);
INSERT INTO `sys_oper_log` VALUES (158, '代码生成', 8, 'com.uavps.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"uavps_algorithm_task\"}', NULL, 0, NULL, '2025-02-18 17:14:11', 783);
INSERT INTO `sys_oper_log` VALUES (159, '代码生成', 8, 'com.uavps.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"uavps_algorithm_task_formation\"}', NULL, 0, NULL, '2025-02-18 17:14:40', 123);
INSERT INTO `sys_oper_log` VALUES (160, '算法任务', 1, 'com.uavps.web.controller.system.UavpsAlgorithmTaskController.add()', 'POST', 1, 'admin', '研发部门', '/uavps/task', '127.0.0.1', '内网IP', '{\"createTime\":\"2025-02-19 16:26:12\",\"formationIds\":[],\"id\":1,\"name\":\"1\",\"params\":{},\"uavId\":5}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-19 16:26:12', 47);
INSERT INTO `sys_oper_log` VALUES (161, '算法任务', 1, 'com.uavps.web.controller.system.UavpsAlgorithmTaskController.add()', 'POST', 1, 'admin', '研发部门', '/uavps/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2025-02-19 19:40:08\",\"formationIds\":[5,6],\"id\":2,\"name\":\"算法任务1\",\"params\":{},\"remark\":\"测试1\",\"uavId\":5}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-19 19:40:08', 243);
INSERT INTO `sys_oper_log` VALUES (162, '算法任务', 2, 'com.uavps.web.controller.system.UavpsAlgorithmTaskController.edit()', 'PUT', 1, 'admin', '研发部门', '/uavps/task', '127.0.0.1', '内网IP', '{\"createTime\":\"2025-02-19 16:26:12\",\"formationIds\":[6],\"id\":1,\"name\":\"1\",\"params\":{},\"uav\":{\"id\":5,\"name\":\"无人机0号\",\"params\":{}},\"uavId\":5,\"updateBy\":\"admin\",\"updateTime\":\"2025-02-19 20:20:26\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-19 20:20:26', 200);
INSERT INTO `sys_oper_log` VALUES (163, '算法任务', 3, 'com.uavps.web.controller.system.UavpsAlgorithmTaskController.remove()', 'DELETE', 1, 'admin', '研发部门', '/uavps/task/1,2', '127.0.0.1', '内网IP', '[1,2]', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-19 20:41:44', 170);
INSERT INTO `sys_oper_log` VALUES (164, '算法任务', 1, 'com.uavps.web.controller.system.UavpsAlgorithmTaskController.add()', 'POST', 1, 'admin', '研发部门', '/uavps/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2025-02-19 21:13:25\",\"formationIds\":[6],\"id\":3,\"name\":\"算法任务1\",\"params\":{},\"remark\":\"算法1\",\"uavId\":6}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-19 21:13:26', 609);
INSERT INTO `sys_oper_log` VALUES (165, '算法任务', 2, 'com.uavps.web.controller.system.UavpsAlgorithmTaskController.edit()', 'PUT', 1, 'admin', '研发部门', '/uavps/task', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2025-02-19 21:13:26\",\"formationIds\":[6],\"id\":3,\"name\":\"算法任务1\",\"params\":{},\"remark\":\"算法1\",\"uav\":{\"id\":6,\"name\":\"无人机1号\",\"params\":{}},\"uavId\":6,\"updateBy\":\"admin\",\"updateTime\":\"2025-02-19 21:17:33\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-02-19 21:17:33', 116);
INSERT INTO `sys_oper_log` VALUES (166, '代码生成', 6, 'com.uavps.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"uavps_formation_tbl\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-26 10:19:47', 879);
INSERT INTO `sys_oper_log` VALUES (167, '代码生成', 8, 'com.uavps.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"uavps_formation_tbl\"}', NULL, 0, NULL, '2025-03-26 10:19:53', 1734);
INSERT INTO `sys_oper_log` VALUES (168, '多目标集群信息', 1, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.add()', 'POST', 1, 'admin', '研发部门', '/uavps/formation', '127.0.0.1', '内网IP', '{\"altitude\":200,\"createBy\":\"admin\",\"createTime\":\"2025-03-26 10:58:45\",\"eastSpeed\":3.5,\"latitude\":8.6985326,\"longitude\":10.2563594,\"northSpeed\":2.3,\"params\":{},\"skySpeed\":2.1,\"targetId\":1,\"utcTime\":1222321}', NULL, 1, '\r\n### Error updating database.  Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'utc_time,\n            create_by,\n            create_time ) \n         values ( 1,\' at line 9\r\n### The error may exist in file [D:\\IdeaWorkSpace\\UavPs\\uavps-system\\target\\classes\\mapper\\system\\UavpsMultiTargetFormationMapper.xml]\r\n### The error may involve com.uavps.system.mapper.UavpsMultiTargetFormationMapper.insertUavpsMultiTargetFormation-Inline\r\n### The error occurred while setting parameters\r\n### SQL: insert into uavps_multi_target_formation          ( target_id,             longitude,             latitude,             altitude,             east_speed,             north_speed,             sky_speed,             utc_time,             create_by,             create_time )           values ( ?,             ?,             ?,             ?,             ?,             ?,             ?,             ?,             ?,             sysdate() )\r\n### Cause: java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'utc_time,\n            create_by,\n            create_time ) \n         values ( 1,\' at line 9\n; bad SQL grammar []; nested exception is java.sql.SQLSyntaxErrorException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near \'utc_time,\n            create_by,\n            create_time ) \n         values ( 1,\' at line 9', '2025-03-26 10:58:45', 248);
INSERT INTO `sys_oper_log` VALUES (169, '多目标集群信息', 1, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.add()', 'POST', 1, 'admin', '研发部门', '/uavps/formation', '127.0.0.1', '内网IP', '{\"altitude\":200,\"createBy\":\"admin\",\"createTime\":\"2025-03-26 11:08:46\",\"eastSpeed\":3.2,\"id\":1,\"latitude\":3.6598315,\"longitude\":2.3659861,\"northSpeed\":2.3,\"params\":{},\"skySpeed\":2.2,\"targetId\":1,\"utcTimes\":236555}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-26 11:08:46', 90);
INSERT INTO `sys_oper_log` VALUES (170, '多目标集群信息', 2, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.edit()', 'PUT', 1, 'admin', '研发部门', '/uavps/formation', '127.0.0.1', '内网IP', '{\"altitude\":200,\"createBy\":\"admin\",\"createTime\":\"2025-03-26 11:08:46\",\"eastSpeed\":3.2,\"id\":1,\"latitude\":3.6598315,\"longitude\":2.3659861,\"northSpeed\":2.3,\"params\":{},\"skySpeed\":2.2,\"targetId\":1,\"updateBy\":\"admin\",\"updateTime\":\"2025-03-26 11:13:17\",\"utcTimes\":25663}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-26 11:13:17', 27);
INSERT INTO `sys_oper_log` VALUES (171, '多目标集群信息', 2, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.edit()', 'PUT', 1, 'admin', '研发部门', '/uavps/formation', '127.0.0.1', '内网IP', '{\"altitude\":200,\"createBy\":\"admin\",\"createTime\":\"2025-03-26 11:08:46\",\"eastSpeed\":3.2,\"id\":1,\"latitude\":3.6598315,\"longitude\":2.3659861,\"northSpeed\":2.3,\"params\":{},\"skySpeed\":2.2,\"targetId\":1,\"updateBy\":\"admin\",\"updateTime\":\"2025-03-26 11:14:03\",\"utcTimes\":123456}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-26 11:14:03', 22);
INSERT INTO `sys_oper_log` VALUES (172, '多目标集群信息', 6, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.importData()', 'POST', 1, 'admin', '研发部门', '/uavps/formation/importData', '127.0.0.1', '内网IP', '{\"updateSupport\":\"true\"}', '{\"msg\":\"恭喜您，数据已全部导入成功！共 2 条，数据如下：<br/>1、目标ID 2 导入成功<br/>2、目标ID 3 导入成功\",\"code\":200}', 0, NULL, '2025-03-26 11:17:11', 688);
INSERT INTO `sys_oper_log` VALUES (173, '多目标集群信息', 5, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.export()', 'POST', 1, 'admin', '研发部门', '/uavps/formation/export', '127.0.0.1', '内网IP', '{\"pageSize\":\"10\",\"pageNum\":\"1\"}', NULL, 0, NULL, '2025-03-26 11:19:52', 119);
INSERT INTO `sys_oper_log` VALUES (174, '多目标集群信息', 5, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.export()', 'POST', 1, 'admin', '研发部门', '/uavps/formation/export', '127.0.0.1', '内网IP', '{\"pageSize\":\"10\",\"pageNum\":\"1\"}', NULL, 0, NULL, '2025-03-26 11:21:06', 55);
INSERT INTO `sys_oper_log` VALUES (175, '多目标集群信息', 5, 'com.uavps.web.controller.system.UavpsMultiTargetFormationController.export()', 'POST', 1, 'admin', '研发部门', '/uavps/formation/export', '127.0.0.1', '内网IP', '{\"pageSize\":\"10\",\"pageNum\":\"1\"}', NULL, 0, NULL, '2025-03-26 11:21:15', 67);
INSERT INTO `sys_oper_log` VALUES (176, '代码生成', 6, 'com.uavps.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"uavps_uav\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-26 11:39:18', 278);
INSERT INTO `sys_oper_log` VALUES (177, '代码生成', 8, 'com.uavps.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"uavps_uav\"}', NULL, 0, NULL, '2025-03-26 11:39:28', 1515);
INSERT INTO `sys_oper_log` VALUES (178, '无人机信息', 1, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.add()', 'POST', 1, 'admin', '研发部门', '/uavps/uav', '127.0.0.1', '内网IP', '{\"altitude\":200,\"azimuthAngle\":20,\"createBy\":\"admin\",\"createTime\":\"2025-03-26 12:22:15\",\"eastSpeed\":2.3,\"id\":1,\"latitude\":2.6365981,\"longitude\":2.3652365,\"name\":\"无人机1\",\"northSpeed\":2.1,\"params\":{},\"pitchAngle\":10,\"rollAngle\":15,\"skySpeed\":1.5,\"trackAngle\":15,\"utcTimes\":\"2025-03-26 12:22:25\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-26 12:22:15', 175);
INSERT INTO `sys_oper_log` VALUES (179, '无人机信息', 2, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.edit()', 'PUT', 1, 'admin', '研发部门', '/uavps/uav', '127.0.0.1', '内网IP', '{\"altitude\":200,\"azimuthAngle\":20,\"createBy\":\"admin\",\"createTime\":\"2025-03-26 12:22:15\",\"eastSpeed\":2.3,\"id\":1,\"latitude\":2.6365981,\"longitude\":2.3652365,\"name\":\"无人机1\",\"northSpeed\":2.1,\"params\":{},\"pitchAngle\":10,\"rollAngle\":15,\"skySpeed\":1.5,\"trackAngle\":15,\"updateBy\":\"admin\",\"updateTime\":\"2025-03-26 12:22:44\",\"utcTimes\":\"2025-03-26 12:22:30\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-26 12:22:44', 49);
INSERT INTO `sys_oper_log` VALUES (180, '无人机信息', 6, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.importData()', 'POST', 1, 'admin', '研发部门', '/uavps/uav/importData', '127.0.0.1', '内网IP', '{\"updateSupport\":\"true\"}', '{\"msg\":\"恭喜您，数据已全部导入成功！共 1 条，数据如下：<br/>1、名称 无人机2 导入成功\",\"code\":200}', 0, NULL, '2025-03-26 14:59:12', 572);
INSERT INTO `sys_oper_log` VALUES (181, '无人机信息', 5, 'com.uavps.web.controller.system.UavpsUnmannedAerialVehicleController.export()', 'POST', 1, 'admin', '研发部门', '/uavps/uav/export', '127.0.0.1', '内网IP', '{\"pageSize\":\"10\",\"pageNum\":\"1\"}', NULL, 0, NULL, '2025-03-26 14:59:24', 76);
INSERT INTO `sys_oper_log` VALUES (182, '菜单管理', 2, 'com.uavps.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"uavps/formation/index\",\"createTime\":\"2025-01-08 17:02:16\",\"icon\":\"list\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2001,\"menuName\":\"多目标集群\",\"menuType\":\"C\",\"orderNum\":1,\"params\":{},\"parentId\":0,\"path\":\"formation\",\"perms\":\"uavps:formation:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-27 10:03:17', 58);
INSERT INTO `sys_oper_log` VALUES (183, '菜单管理', 2, 'com.uavps.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"uavps/uav/index\",\"createTime\":\"2025-01-08 17:03:04\",\"icon\":\"guide\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2002,\"menuName\":\"平台无人机\",\"menuType\":\"C\",\"orderNum\":2,\"params\":{},\"parentId\":0,\"path\":\"uav\",\"perms\":\"uavps:uav:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"1\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-27 10:03:33', 22);
INSERT INTO `sys_oper_log` VALUES (184, '代码生成', 6, 'com.uavps.generator.controller.GenController.importTableSave()', 'POST', 1, 'admin', '研发部门', '/tool/gen/importTable', '127.0.0.1', '内网IP', '{\"tables\":\"uavps_algorithm_parameter\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-27 10:22:35', 630);
INSERT INTO `sys_oper_log` VALUES (185, '代码生成', 8, 'com.uavps.generator.controller.GenController.batchGenCode()', 'GET', 1, 'admin', '研发部门', '/tool/gen/batchGenCode', '127.0.0.1', '内网IP', '{\"tables\":\"uavps_algorithm_parameter\"}', NULL, 0, NULL, '2025-03-27 10:22:45', 1063);
INSERT INTO `sys_oper_log` VALUES (186, '菜单管理', 2, 'com.uavps.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/menu', '127.0.0.1', '内网IP', '{\"children\":[],\"component\":\"uavps/parameter/index\",\"createTime\":\"2025-01-08 16:56:31\",\"icon\":\"dict\",\"isCache\":\"0\",\"isFrame\":\"1\",\"menuId\":2000,\"menuName\":\"任务管理\",\"menuType\":\"C\",\"orderNum\":3,\"params\":{},\"parentId\":0,\"path\":\"parameter\",\"perms\":\"uavps:parameter:list\",\"routeName\":\"\",\"status\":\"0\",\"updateBy\":\"admin\",\"visible\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-27 10:44:02', 48);
INSERT INTO `sys_oper_log` VALUES (187, '字典类型', 1, 'com.uavps.web.controller.system.SysDictTypeController.add()', 'POST', 1, 'admin', '研发部门', '/system/dict/type', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"dictName\":\"目标集群类型\",\"dictType\":\"uavps_target_formation_type\",\"params\":{},\"remark\":\"目标集群类型列表\",\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-27 11:07:24', 33);
INSERT INTO `sys_oper_log` VALUES (188, '字典数据', 1, 'com.uavps.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', '研发部门', '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"固定翼\",\"dictSort\":0,\"dictType\":\"uavps_target_formation_type\",\"dictValue\":\"1\",\"listClass\":\"default\",\"params\":{},\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-27 11:08:38', 25);
INSERT INTO `sys_oper_log` VALUES (189, '字典数据', 2, 'com.uavps.web.controller.system.SysDictDataController.edit()', 'PUT', 1, 'admin', '研发部门', '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"createTime\":\"2025-03-27 11:08:38\",\"default\":false,\"dictCode\":100,\"dictLabel\":\"固定翼\",\"dictSort\":1,\"dictType\":\"uavps_target_formation_type\",\"dictValue\":\"1\",\"isDefault\":\"N\",\"listClass\":\"default\",\"params\":{},\"remark\":\"目标集群类型固定翼\",\"status\":\"0\",\"updateBy\":\"admin\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-27 11:09:14', 12);
INSERT INTO `sys_oper_log` VALUES (190, '字典数据', 1, 'com.uavps.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', '研发部门', '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"多旋翼\",\"dictSort\":2,\"dictType\":\"uavps_target_formation_type\",\"dictValue\":\"2\",\"listClass\":\"default\",\"params\":{},\"remark\":\"目标集群类型多旋翼\",\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-27 11:09:57', 11);
INSERT INTO `sys_oper_log` VALUES (191, '字典数据', 1, 'com.uavps.web.controller.system.SysDictDataController.add()', 'POST', 1, 'admin', '研发部门', '/system/dict/data', '127.0.0.1', '内网IP', '{\"createBy\":\"admin\",\"default\":false,\"dictLabel\":\"其他\",\"dictSort\":3,\"dictType\":\"uavps_target_formation_type\",\"dictValue\":\"3\",\"listClass\":\"default\",\"params\":{},\"remark\":\"目标集群类型其他\",\"status\":\"0\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-27 11:10:26', 12);
INSERT INTO `sys_oper_log` VALUES (192, '字典类型', 9, 'com.uavps.web.controller.system.SysDictTypeController.refreshCache()', 'DELETE', 1, 'admin', '研发部门', '/system/dict/type/refreshCache', '127.0.0.1', '内网IP', '', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-27 11:10:36', 10);
INSERT INTO `sys_oper_log` VALUES (193, '算法参数信息', 1, 'com.uavps.web.controller.system.UavpsAlgorithmParameterController.add()', 'POST', 1, 'admin', '研发部门', '/uavps/parameter', '127.0.0.1', '内网IP', '{\"altitude\":200,\"createTime\":\"2025-03-27 11:40:36\",\"eastSpeed\":2.3,\"formationType\":\"1\",\"id\":1,\"latitude\":1.3658562,\"longitude\":2.3659852,\"northSpeed\":1.3,\"params\":{},\"skySpeed\":2.3,\"targetId\":1,\"targetTotal\":1}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-27 11:40:36', 65);
INSERT INTO `sys_oper_log` VALUES (194, '算法参数信息', 2, 'com.uavps.web.controller.system.UavpsAlgorithmParameterController.edit()', 'PUT', 1, 'admin', '研发部门', '/uavps/parameter', '127.0.0.1', '内网IP', '{\"altitude\":200,\"createTime\":\"2025-03-27 11:40:37\",\"eastSpeed\":2.3,\"formationType\":\"1\",\"id\":1,\"latitude\":1.3658562,\"longitude\":2.3659852,\"northSpeed\":1.3,\"params\":{},\"skySpeed\":2.3,\"targetId\":1,\"targetTotal\":1,\"updateTime\":\"2025-03-27 14:28:38\",\"utcTimes\":123654}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-27 14:28:38', 65);
INSERT INTO `sys_oper_log` VALUES (195, '算法参数信息', 2, 'com.uavps.web.controller.system.UavpsAlgorithmParameterController.edit()', 'PUT', 1, 'admin', '研发部门', '/uavps/parameter', '127.0.0.1', '内网IP', '{\"altitude\":200,\"createTime\":\"2025-03-27 11:40:37\",\"eastSpeed\":2.3,\"formationType\":\"1\",\"id\":1,\"latitude\":1.3658562,\"longitude\":2.3659852,\"northSpeed\":1.3,\"params\":{},\"skySpeed\":2.3,\"targetId\":1,\"targetTotal\":2,\"updateTime\":\"2025-03-28 15:56:42\",\"utcTimes\":123654}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-28 15:56:42', 49);
INSERT INTO `sys_oper_log` VALUES (196, '算法参数信息', 2, 'com.uavps.web.controller.system.UavpsAlgorithmParameterController.edit()', 'PUT', 1, 'admin', '研发部门', '/uavps/parameter', '127.0.0.1', '内网IP', '{\"altitude\":200,\"createTime\":\"2025-03-27 11:40:37\",\"eastSpeed\":2.3,\"formationType\":\"1\",\"id\":1,\"latitude\":1.3658562,\"longitude\":2.3659852,\"northSpeed\":1.3,\"params\":{},\"skySpeed\":2.3,\"targetId\":1,\"targetTotal\":1,\"updateTime\":\"2025-03-28 16:42:28\",\"utcTimes\":123654}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-28 16:42:28', 34);
INSERT INTO `sys_oper_log` VALUES (197, '算法参数信息', 2, 'com.uavps.web.controller.system.UavpsAlgorithmParameterController.edit()', 'PUT', 1, 'admin', '研发部门', '/uavps/parameter', '127.0.0.1', '内网IP', '{\"altitude\":200,\"createTime\":\"2025-03-27 11:40:37\",\"eastSpeed\":2.3,\"formationType\":\"1\",\"id\":1,\"latitude\":1.3658562,\"longitude\":2.3659852,\"northSpeed\":1.3,\"params\":{},\"skySpeed\":2.3,\"targetId\":1,\"targetTotal\":13,\"updateTime\":\"2025-03-28 16:50:07\",\"utcTimes\":123654}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2025-03-28 16:50:07', 18);

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int(0) NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '岗位信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 'ceo', '董事长', 1, '0', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_post` VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_post` VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2024-12-30 22:29:35', '', NULL, '');
INSERT INTO `sys_post` VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2024-12-30 22:29:35', '', NULL, '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(0) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL, '超级管理员');
INSERT INTO `sys_role` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-12-30 22:29:35', '', NULL, '普通角色');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint(0) NOT NULL COMMENT '角色ID',
  `dept_id` bigint(0) NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和部门关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
INSERT INTO `sys_role_dept` VALUES (2, 100);
INSERT INTO `sys_role_dept` VALUES (2, 101);
INSERT INTO `sys_role_dept` VALUES (2, 105);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint(0) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(0) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------
INSERT INTO `sys_role_menu` VALUES (2, 1);
INSERT INTO `sys_role_menu` VALUES (2, 2);
INSERT INTO `sys_role_menu` VALUES (2, 3);
INSERT INTO `sys_role_menu` VALUES (2, 4);
INSERT INTO `sys_role_menu` VALUES (2, 100);
INSERT INTO `sys_role_menu` VALUES (2, 101);
INSERT INTO `sys_role_menu` VALUES (2, 102);
INSERT INTO `sys_role_menu` VALUES (2, 103);
INSERT INTO `sys_role_menu` VALUES (2, 104);
INSERT INTO `sys_role_menu` VALUES (2, 105);
INSERT INTO `sys_role_menu` VALUES (2, 106);
INSERT INTO `sys_role_menu` VALUES (2, 107);
INSERT INTO `sys_role_menu` VALUES (2, 108);
INSERT INTO `sys_role_menu` VALUES (2, 109);
INSERT INTO `sys_role_menu` VALUES (2, 110);
INSERT INTO `sys_role_menu` VALUES (2, 111);
INSERT INTO `sys_role_menu` VALUES (2, 112);
INSERT INTO `sys_role_menu` VALUES (2, 113);
INSERT INTO `sys_role_menu` VALUES (2, 114);
INSERT INTO `sys_role_menu` VALUES (2, 115);
INSERT INTO `sys_role_menu` VALUES (2, 116);
INSERT INTO `sys_role_menu` VALUES (2, 117);
INSERT INTO `sys_role_menu` VALUES (2, 500);
INSERT INTO `sys_role_menu` VALUES (2, 501);
INSERT INTO `sys_role_menu` VALUES (2, 1000);
INSERT INTO `sys_role_menu` VALUES (2, 1001);
INSERT INTO `sys_role_menu` VALUES (2, 1002);
INSERT INTO `sys_role_menu` VALUES (2, 1003);
INSERT INTO `sys_role_menu` VALUES (2, 1004);
INSERT INTO `sys_role_menu` VALUES (2, 1005);
INSERT INTO `sys_role_menu` VALUES (2, 1006);
INSERT INTO `sys_role_menu` VALUES (2, 1007);
INSERT INTO `sys_role_menu` VALUES (2, 1008);
INSERT INTO `sys_role_menu` VALUES (2, 1009);
INSERT INTO `sys_role_menu` VALUES (2, 1010);
INSERT INTO `sys_role_menu` VALUES (2, 1011);
INSERT INTO `sys_role_menu` VALUES (2, 1012);
INSERT INTO `sys_role_menu` VALUES (2, 1013);
INSERT INTO `sys_role_menu` VALUES (2, 1014);
INSERT INTO `sys_role_menu` VALUES (2, 1015);
INSERT INTO `sys_role_menu` VALUES (2, 1016);
INSERT INTO `sys_role_menu` VALUES (2, 1017);
INSERT INTO `sys_role_menu` VALUES (2, 1018);
INSERT INTO `sys_role_menu` VALUES (2, 1019);
INSERT INTO `sys_role_menu` VALUES (2, 1020);
INSERT INTO `sys_role_menu` VALUES (2, 1021);
INSERT INTO `sys_role_menu` VALUES (2, 1022);
INSERT INTO `sys_role_menu` VALUES (2, 1023);
INSERT INTO `sys_role_menu` VALUES (2, 1024);
INSERT INTO `sys_role_menu` VALUES (2, 1025);
INSERT INTO `sys_role_menu` VALUES (2, 1026);
INSERT INTO `sys_role_menu` VALUES (2, 1027);
INSERT INTO `sys_role_menu` VALUES (2, 1028);
INSERT INTO `sys_role_menu` VALUES (2, 1029);
INSERT INTO `sys_role_menu` VALUES (2, 1030);
INSERT INTO `sys_role_menu` VALUES (2, 1031);
INSERT INTO `sys_role_menu` VALUES (2, 1032);
INSERT INTO `sys_role_menu` VALUES (2, 1033);
INSERT INTO `sys_role_menu` VALUES (2, 1034);
INSERT INTO `sys_role_menu` VALUES (2, 1035);
INSERT INTO `sys_role_menu` VALUES (2, 1036);
INSERT INTO `sys_role_menu` VALUES (2, 1037);
INSERT INTO `sys_role_menu` VALUES (2, 1038);
INSERT INTO `sys_role_menu` VALUES (2, 1039);
INSERT INTO `sys_role_menu` VALUES (2, 1040);
INSERT INTO `sys_role_menu` VALUES (2, 1041);
INSERT INTO `sys_role_menu` VALUES (2, 1042);
INSERT INTO `sys_role_menu` VALUES (2, 1043);
INSERT INTO `sys_role_menu` VALUES (2, 1044);
INSERT INTO `sys_role_menu` VALUES (2, 1045);
INSERT INTO `sys_role_menu` VALUES (2, 1046);
INSERT INTO `sys_role_menu` VALUES (2, 1047);
INSERT INTO `sys_role_menu` VALUES (2, 1048);
INSERT INTO `sys_role_menu` VALUES (2, 1049);
INSERT INTO `sys_role_menu` VALUES (2, 1050);
INSERT INTO `sys_role_menu` VALUES (2, 1051);
INSERT INTO `sys_role_menu` VALUES (2, 1052);
INSERT INTO `sys_role_menu` VALUES (2, 1053);
INSERT INTO `sys_role_menu` VALUES (2, 1054);
INSERT INTO `sys_role_menu` VALUES (2, 1055);
INSERT INTO `sys_role_menu` VALUES (2, 1056);
INSERT INTO `sys_role_menu` VALUES (2, 1057);
INSERT INTO `sys_role_menu` VALUES (2, 1058);
INSERT INTO `sys_role_menu` VALUES (2, 1059);
INSERT INTO `sys_role_menu` VALUES (2, 1060);

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint(0) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint(0) NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime(0) NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 103, 'admin', '若依', '00', 'ry@163.com', '15888888888', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2025-03-30 21:02:28', 'admin', '2024-12-30 22:29:35', '', '2025-03-30 21:02:28', '管理员');
INSERT INTO `sys_user` VALUES (2, 105, 'ry', '若依', '00', 'ry@qq.com', '15666666666', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-12-30 22:29:35', 'admin', '2024-12-30 22:29:35', '', NULL, '测试员');

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint(0) NOT NULL COMMENT '用户ID',
  `post_id` bigint(0) NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户与岗位关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);
INSERT INTO `sys_user_post` VALUES (2, 2);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint(0) NOT NULL COMMENT '用户ID',
  `role_id` bigint(0) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8 COLLATE = utf8_general_ci COMMENT = '用户和角色关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);
INSERT INTO `sys_user_role` VALUES (2, 2);

-- ----------------------------
-- Table structure for uavps_aircraft
-- ----------------------------
DROP TABLE IF EXISTS `uavps_aircraft`;
CREATE TABLE `uavps_aircraft`  (
  `bizId` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '业务ID',
  `data_time` decimal(8, 2) NOT NULL COMMENT '时间单位ms,代表本次数据的时间',
  `aircraft_data` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '飞机数据',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`bizId`, `data_time`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '飞机数据表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of uavps_aircraft
-- ----------------------------
INSERT INTO `uavps_aircraft` VALUES ('1', 0.00, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.0,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":460.05,\"coordinateY\":400.06,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":540.05,\"coordinateY\":400.06,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":620.05,\"coordinateY\":400.06,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":500.0,\"coordinateZ\":0.0,\"velocityX\":25.15,\"velocityY\":-0.15,\"velocityZ\":-0.15,\"velocity\":25.15,\"aircraftPoseX\":0.0,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.0,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":120.25,\"coordinateY\":490,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:34', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.05, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.05,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":460.05,\"coordinateY\":395.06,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":540.05,\"coordinateY\":395.06,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":620.05,\"coordinateY\":395.06,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":495.0,\"coordinateZ\":-0.01,\"velocityX\":25.58,\"velocityY\":-0.35,\"velocityZ\":-0.35,\"velocity\":25.58,\"aircraftPoseX\":0.0,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":-0.01,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":150.25,\"coordinateY\":485,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:35', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.10, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.1,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":460.55,\"coordinateY\":390.66,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":540.55,\"coordinateY\":390.66,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":620.55,\"coordinateY\":390.66,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":490.0,\"coordinateZ\":-0.04,\"velocityX\":25.55,\"velocityY\":-0.52,\"velocityZ\":-0.52,\"velocity\":25.56,\"aircraftPoseX\":0.0,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.0,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":150.25,\"coordinateY\":480,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:35', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.15, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.15,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":460.8,\"coordinateY\":385.96,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":540.8,\"coordinateY\":385.96,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":620.8,\"coordinateY\":385.96,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":485.0,\"coordinateZ\":-0.06,\"velocityX\":25.53,\"velocityY\":-0.62,\"velocityZ\":-0.62,\"velocity\":25.53,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.0,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":180,\"coordinateY\":475,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:35', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.20, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.2,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":461.05,\"coordinateY\":380.26,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":541.05,\"coordinateY\":380.26,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":621.05,\"coordinateY\":380.26,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":480.0,\"coordinateZ\":-0.1,\"velocityX\":25.5,\"velocityY\":-0.66,\"velocityZ\":-0.66,\"velocity\":25.51,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.01,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":180,\"coordinateY\":470,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:36', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.25, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.25,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":461.3,\"coordinateY\":375.56,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":541.3,\"coordinateY\":375.56,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":621.3,\"coordinateY\":375.56,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":475.0,\"coordinateZ\":-0.13,\"velocityX\":25.48,\"velocityY\":-0.68,\"velocityZ\":-0.68,\"velocity\":25.49,\"aircraftPoseX\":0.02,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.01,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":180,\"coordinateY\":475,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:36', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.30, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.3,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":461.55,\"coordinateY\":370.86,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":541.55,\"coordinateY\":370.86,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":621.55,\"coordinateY\":370.86,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":470.0,\"coordinateZ\":-0.17,\"velocityX\":25.46,\"velocityY\":-0.7,\"velocityZ\":-0.7,\"velocity\":25.47,\"aircraftPoseX\":0.02,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.01,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":230,\"coordinateY\":470,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:36', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.35, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.35,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":461.8,\"coordinateY\":365.16,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":541.8,\"coordinateY\":365.16,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":621.8,\"coordinateY\":365.16,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":465.0,\"coordinateZ\":-0.2,\"velocityX\":25.44,\"velocityY\":-0.72,\"velocityZ\":-0.72,\"velocity\":25.45,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.02,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":230,\"coordinateY\":465,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:37', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.40, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.4,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":462.05,\"coordinateY\":360.46,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":542.05,\"coordinateY\":360.46,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":622.05,\"coordinateY\":360.46,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":460.0,\"coordinateZ\":-0.24,\"velocityX\":25.42,\"velocityY\":-0.76,\"velocityZ\":-0.76,\"velocity\":25.43,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.02,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":230,\"coordinateY\":460,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:37', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.45, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.45,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":462.3,\"coordinateY\":355.76,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":542.3,\"coordinateY\":355.76,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":622.3,\"coordinateY\":355.76,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":455.0,\"coordinateZ\":-0.28,\"velocityX\":25.4,\"velocityY\":-0.8,\"velocityZ\":-0.8,\"velocity\":25.41,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.02,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":235,\"coordinateY\":460,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:37', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.50, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.5,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":462.55,\"coordinateY\":350.06,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":542.55,\"coordinateY\":350.06,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":622.55,\"coordinateY\":350.06,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":450.00,\"coordinateZ\":-0.32,\"velocityX\":25.38,\"velocityY\":-0.84,\"velocityZ\":-0.84,\"velocity\":25.39,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.02,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":240,\"coordinateY\":460,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:38', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.55, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.55,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":462.8,\"coordinateY\":345.36,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":542.8,\"coordinateY\":345.36,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":622.8,\"coordinateY\":345.36,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":445.00,\"coordinateZ\":-0.36,\"velocityX\":25.36,\"velocityY\":-0.87,\"velocityZ\":-0.87,\"velocity\":25.37,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.03,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":240,\"coordinateY\":455,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:38', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.60, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.6,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":463.05,\"coordinateY\":340.66,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":543.05,\"coordinateY\":340.66,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":623.05,\"coordinateY\":340.66,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":440.00,\"coordinateZ\":-0.4,\"velocityX\":25.34,\"velocityY\":-0.89,\"velocityZ\":-0.89,\"velocity\":25.36,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.03,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":240,\"coordinateY\":450,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:38', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.65, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.65,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":463.3,\"coordinateY\":335.96,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":543.3,\"coordinateY\":335.96,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":623.3,\"coordinateY\":335.96,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":435.00,\"coordinateZ\":-0.45,\"velocityX\":25.33,\"velocityY\":-0.9,\"velocityZ\":-0.9,\"velocity\":25.34,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.03,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":240,\"coordinateY\":460,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:39', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.70, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.7,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":463.55,\"coordinateY\":330.26,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":543.55,\"coordinateY\":330.26,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":623.55,\"coordinateY\":330.26,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":430.00,\"coordinateZ\":-0.49,\"velocityX\":25.31,\"velocityY\":-0.9,\"velocityZ\":-0.9,\"velocity\":25.33,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.03,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":240,\"coordinateY\":455,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:39', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.75, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.75,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":463.8,\"coordinateY\":325.56,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":543.8,\"coordinateY\":325.56,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":623.8,\"coordinateY\":325.56,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":425.00,\"coordinateZ\":-0.54,\"velocityX\":25.29,\"velocityY\":-0.9,\"velocityZ\":-0.9,\"velocity\":25.31,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.03,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":340,\"coordinateY\":450,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:39', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.80, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.8,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":464.05,\"coordinateY\":320.86,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":544.05,\"coordinateY\":320.86,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":624.05,\"coordinateY\":320.86,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":420.00,\"coordinateZ\":-0.58,\"velocityX\":25.28,\"velocityY\":-0.9,\"velocityZ\":-0.9,\"velocity\":25.29,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.03,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":345,\"coordinateY\":450,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:40', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.85, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.85,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":464.3,\"coordinateY\":315.16,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":544.3,\"coordinateY\":315.16,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":624.3,\"coordinateY\":315.16,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":415.00,\"coordinateZ\":-0.63,\"velocityX\":25.26,\"velocityY\":-0.89,\"velocityZ\":-0.89,\"velocity\":25.28,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.0,\"aircraftPoseZ\":0.03,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":345,\"coordinateY\":445,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:40', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.90, '{\"bizId\":\"1\",\"finished\":\"false\",\"time\":0.9,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":464.55,\"coordinateY\":310.46,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":544.55,\"coordinateY\":310.46,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":624.55,\"coordinateY\":310.46,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":410.00,\"coordinateZ\":-0.67,\"velocityX\":25.25,\"velocityY\":-0.89,\"velocityZ\":-0.89,\"velocity\":25.26,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.01,\"aircraftPoseZ\":0.04,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":345,\"coordinateY\":440,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:40', NULL, NULL);
INSERT INTO `uavps_aircraft` VALUES ('1', 0.95, '{\"bizId\":\"1\",\"finished\":\"true\",\"time\":0.95,\"targetAircraft\":[{\"formationNumber\":\"No1\",\"aircrafts\":[{\"aircraftNumber\":\"1\",\"coordinateX\":464.8,\"coordinateY\":305.76,\"coordinateZ\":50.0,\"velocityX\":5,\"velocityY\":6,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":true},{\"aircraftNumber\":\"2\",\"coordinateX\":544.8,\"coordinateY\":305.76,\"coordinateZ\":100.0,\"velocityX\":5,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false},{\"aircraftNumber\":\"3\",\"coordinateX\":624.8,\"coordinateY\":305.76,\"coordinateZ\":100.0,\"velocityX\":4,\"velocityY\":4,\"velocityZ\":0,\"velocity\":0,\"aircraftPoseX\":0,\"aircraftPoseY\":0,\"aircraftPoseZ\":0,\"piloted\":false}]}],\"platformAircraft\":{\"coordinateX\":100.25,\"coordinateY\":405.00,\"coordinateZ\":-0.72,\"velocityX\":25.23,\"velocityY\":-0.88,\"velocityZ\":-0.88,\"velocity\":25.25,\"aircraftPoseX\":0.01,\"aircraftPoseY\":0.01,\"aircraftPoseZ\":0.04,\"targetAircraftNumber\":\"1\",\"flightpath\":[{\"coordinateX\":345,\"coordinateY\":435,\"coordinateZ\":0}]}}', 'python', '2025-01-22 12:10:41', NULL, NULL);

-- ----------------------------
-- Table structure for uavps_algorithm_parameter
-- ----------------------------
DROP TABLE IF EXISTS `uavps_algorithm_parameter`;
CREATE TABLE `uavps_algorithm_parameter`  (
  `id` int(0) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `formation_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '目标集群类型',
  `target_id` int(0) NOT NULL COMMENT '目标ID',
  `longitude` decimal(10, 7) NOT NULL DEFAULT 0.0000000 COMMENT '经度',
  `latitude` decimal(10, 7) NOT NULL DEFAULT 0.0000000 COMMENT '纬度',
  `altitude` int(0) NOT NULL DEFAULT 0 COMMENT '海拔',
  `east_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '东向速度',
  `north_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '北向速度',
  `sky_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '天向速度',
  `utc_times` int(0) NOT NULL DEFAULT 0 COMMENT 'UTC时间',
  `target_total` int(0) NOT NULL DEFAULT 0 COMMENT '本次目标总数',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '算法参数信息' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of uavps_algorithm_parameter
-- ----------------------------
INSERT INTO `uavps_algorithm_parameter` VALUES (1, '1', 1, 2.3659852, 1.3658562, 200, 2.3, 1.3, 2.3, 123654, 13, NULL, '2025-03-27 11:40:37', NULL, '2025-03-28 16:50:07');

-- ----------------------------
-- Table structure for uavps_algorithm_task
-- ----------------------------
DROP TABLE IF EXISTS `uavps_algorithm_task`;
CREATE TABLE `uavps_algorithm_task`  (
  `id` int(0) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '算法任务名称',
  `uav_id` int(0) NOT NULL COMMENT '平台无人机ID',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '算法任务表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of uavps_algorithm_task
-- ----------------------------
INSERT INTO `uavps_algorithm_task` VALUES (3, '算法任务1', 6, '算法1', 'admin', '2025-02-19 21:13:26', 'admin', '2025-02-19 21:17:34');

-- ----------------------------
-- Table structure for uavps_algorithm_task_formation
-- ----------------------------
DROP TABLE IF EXISTS `uavps_algorithm_task_formation`;
CREATE TABLE `uavps_algorithm_task_formation`  (
  `algorithm_task_id` int(0) NOT NULL COMMENT '算法任务ID',
  `formation_id` int(0) NOT NULL COMMENT '多目标集群ID',
  PRIMARY KEY (`algorithm_task_id`, `formation_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '算法任务和多目标集群关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of uavps_algorithm_task_formation
-- ----------------------------
INSERT INTO `uavps_algorithm_task_formation` VALUES (3, 6);

-- ----------------------------
-- Table structure for uavps_multi_target_formation
-- ----------------------------
DROP TABLE IF EXISTS `uavps_multi_target_formation`;
CREATE TABLE `uavps_multi_target_formation`  (
  `id` int(0) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `target_id` int(0) NOT NULL COMMENT '目标ID',
  `longitude` decimal(10, 7) NOT NULL DEFAULT 0.0000000 COMMENT '经度',
  `latitude` decimal(10, 7) NOT NULL DEFAULT 0.0000000 COMMENT '纬度',
  `altitude` int(0) NOT NULL DEFAULT 0 COMMENT '海拔',
  `east_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '东向速度',
  `north_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '北向速度',
  `sky_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '天向速度',
  `utc_times` int(0) NOT NULL DEFAULT 0 COMMENT 'UTC时间',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '多目标集群信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of uavps_multi_target_formation
-- ----------------------------
INSERT INTO `uavps_multi_target_formation` VALUES (1, 1, 2.3659861, 3.6598315, 200, 3.2, 2.3, 2.2, 123456, 'admin', '2025-03-26 11:08:46', 'admin', '2025-03-26 11:14:03');
INSERT INTO `uavps_multi_target_formation` VALUES (2, 2, 2.3366955, 3.2654712, 120, 2.1, 1.3, 0.5, 3265332, 'admin', '2025-03-26 11:17:11', NULL, NULL);
INSERT INTO `uavps_multi_target_formation` VALUES (3, 3, 2.1415632, 2.3652363, 300, 1.5, 2.6, 0.6, 3652236, 'admin', '2025-03-26 11:17:11', NULL, NULL);

-- ----------------------------
-- Table structure for uavps_unmanned_aerial_vehicle
-- ----------------------------
DROP TABLE IF EXISTS `uavps_unmanned_aerial_vehicle`;
CREATE TABLE `uavps_unmanned_aerial_vehicle`  (
  `id` int(0) NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '名称',
  `longitude` decimal(10, 7) NOT NULL DEFAULT 0.0000000 COMMENT '经度',
  `latitude` decimal(10, 7) NOT NULL DEFAULT 0.0000000 COMMENT '纬度',
  `altitude` int(0) NOT NULL DEFAULT 0 COMMENT '海拔',
  `azimuth_angle` decimal(8, 2) NOT NULL DEFAULT 0.00 COMMENT '方位角',
  `pitch_angle` decimal(8, 2) NOT NULL DEFAULT 0.00 COMMENT '俯仰角',
  `roll_angle` decimal(8, 2) NOT NULL DEFAULT 0.00 COMMENT '横滚角',
  `east_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '东向速度',
  `north_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '北向速度',
  `sky_speed` decimal(8, 1) NOT NULL DEFAULT 0.0 COMMENT '天向速度',
  `track_angle` decimal(8, 2) NOT NULL DEFAULT 0.00 COMMENT '航迹角',
  `utc_times` datetime(0) NULL DEFAULT NULL COMMENT 'UTC时间',
  `create_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '无人机信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of uavps_unmanned_aerial_vehicle
-- ----------------------------
INSERT INTO `uavps_unmanned_aerial_vehicle` VALUES (1, '无人机1', 2.3652365, 2.6365981, 200, 20.00, 10.00, 15.00, 2.3, 2.1, 1.5, 15.00, '2025-03-26 12:22:30', 'admin', '2025-03-26 12:22:15', 'admin', '2025-03-26 12:22:44');
INSERT INTO `uavps_unmanned_aerial_vehicle` VALUES (2, '无人机2', 2.3655232, 2.1589632, 300, 15.00, 12.00, 10.00, 2.3, 3.6, 1.2, 10.00, '2025-03-26 14:58:22', 'admin', '2025-03-26 14:59:12', NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
